//Page Object
var appObj = {
	isLoggedIn    : false,
	fbUserId      : '',
	userNameLong  : '',
	userNameShort : '',
	pageName      : '',
	deviceType	  : '',
	appName       : 'LatInc',
	baseUrl						: 'https://latinc.us/',
	siteUrl      			 	: 'https://latinc.us/appm/',
	siteUserControllerUrl     	: 'https://latinc.us/appm/index.php?option=com_user&task=',
	siteFbConnctControllerUrl 	: 'https://latinc.us/appm/index.php?option=com_fbconnct&task=',
	loadGif  : ''
}
appObj.deviceType = $("input[name=deviceType]").val();

var appVersion = "20170908";

$.ajaxPrefilter(function( options, originalOptions, jqXHR ) {
    options.async = true;
});

function GetQryStrParams(sPageURL,sParam){
	var sURLVariables = sPageURL.split('&');
	for(var i=0;i<sURLVariables.length;i++){
		var sParameterName = sURLVariables[i].split('=');
		if(sParameterName[0] == sParam){
			return sParameterName[1];
		}
	}
}

$(document).ready(function(){
	getLoginStatus();
	$('[data-toggle="tooltip"]').tooltip();
});

$(window).on('hashchange',function(e){
	initPage();
	$('html,body').animate({scrollTop:0},0);
});

function initPage(){
	if(window.location.hash == '' || window.location.hash.substr(1) == '_=_'){
		history.pushState('','','#page=profile');
		CreatePage('page=profile');
	}
	else{
		CreatePage(window.location.hash.substr(1));
		$('body').removeClass('hidden-menu');
	}
	changeBodyClassName();
	checkIosApp();
	bottomMenuActive();
}

function checkIosApp(){
	if(isIosApp()){
		$("body").addClass("ios-app");
		$("#header").before('<div class="top-space"></div>');
	}
}

function CreatePage(nextLink){
	$(".breadcrumb-title").remove();
	$("body").removeClass("hidden-header");
	
	var page = GetQryStrParams(nextLink,'page');
	appObj.pageName = page;
	
	$(".page-full-content").hide();
	$("#secondary-page").empty();
	$(".page-loading").remove();
	if(page == 'profile'){
		if(typeof profileJs != 'undefined'){
			profilePageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/profile.js"></script>');
		}
	}
	else if(page == 'socialwall'){
		if(typeof socialWallJS != 'undefined'){
			socialWallPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script type="text/javascript" src="js/pages/social-wall.js"></script>');
		}
	}
	else if(page == 'myConnections'){
		if(typeof myConnectionJS != 'undefined'){
			myConnectionPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script type="text/javascript" src="js/pages/my-connection.js"></script>');
		}
	}
	else if(page == 'jobs'){
		if(typeof jobsJS != 'undefined'){
			jobsPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script type="text/javascript" src="js/pages/jobs.js"></script>');
		}
	}
	else if(page == 'myGroups'){
		if(typeof myGroupsJS != 'undefined'){
			myGroupsPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script type="text/javascript" src="js/pages/my-groups.js"></script>');
		}
	}
	else if(page == 'myPages'){
		if(typeof myPagesJS != 'undefined'){
			myPagesInitalize();
		}
		else{
			$(".externel-js-files").append('<script type="text/javascript" src="js/pages/my-pages.js"></script>');
		}
	}
	else if(page == 'mymentors'){
		if(typeof myMentorsJS != 'undefined'){
			myMentorsPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script type="text/javascript" src="js/pages/my-mentors.js"></script>');
		}
	}
	else if(page == 'events'){
		if(typeof eventsJs != 'undefined'){
			eventsPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script type="text/javascript" src="js/pages/event_block.js"></script>');
		}
	}
	else if(page == 'CareerDevelopment'){
		if(typeof CareerDevelopmentJs != 'undefined'){
			careerdevelopmentPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script type="text/javascript" src="js/pages/courses.js"></script>');
		}
	}
	else if(page == 'blog'){
		if(typeof blogJS != 'undefined'){
			blogsPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/blog.js"></script>');
		}
	}
	else if(page == 'login'){
		if(typeof profileLoginJS != 'undefined'){
			loginPageInitalize();
		}
		else{
			//$(".externel-js-files").append('<script src="'+appObj.siteUrl+'assets/js/app.js"></script>');
		}
	}
	else if(page == 'feedback'){
		if(typeof feedBackJS != 'undefined'){
			feedBackpageIntialize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/feedback.js"></script>');
		}
	}
	else if(page == 'contact'){
		if(typeof contactJS != 'undefined'){
			contactInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/contact.js"></script>');
		}
	}
	else if(page == 'privacy'){
		if(typeof privacyJS != 'undefined'){
			privacyPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/privacy.js"></script>');
		}
	}
	else if(page == 'terms'){
		if(typeof termsJS != 'undefined'){
			termsPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/terms.js"></script>');
		}
	}
	else if(page == 'messages'){
		if(typeof messagesJS != 'undefined'){
			messagesPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/messages.js"></script>');
		}
	}
	else if(page == 'emailVerification'){
		if(typeof emailVerificationJS != 'undefined'){
			emailVerifyPageInitialize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/email-verification.js"></script>');
		}
	}
	else if(page == 'resetPwd'){
		if(typeof resetPwdJS != 'undefined'){
			resetPwdPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/resetPwd.js"></script>');
		}
	}
	else if(page == 'search'){
		if(typeof searchJS != 'undefined'){
			searchPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/search.js"></script>');
		}
	}
	else if(page == 'request'){
		if(typeof requestJS != 'undefined'){
			requestPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/request.js"></script>');
		}
	}
	else if(page == 'notifications'){
		if(typeof notificationsJS != 'undefined'){
			notificationsPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/notifications.js"></script>');
		}
	}
	else if(page == 'addEvent'){
		if(typeof addEventsJs != 'undefined'){
			addEventsPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/add-event.js"></script>');
		}
	}
	else if(page == 'addPost'){
		if(typeof addBlogJS != 'undefined'){
			addBlogsPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/add-post.js"></script>');
		}
	}
	else if(page == 'jobPost'){
		if(typeof jobPostJS != 'undefined'){
			jobPostPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/job-post.js"></script>');
		}
	}
	else if(page == 'coursepost'){
		if(typeof coursePostJS != 'undefined'){
			coursePostPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/course-post.js"></script>');
		}
	}
	else if(page == 'blogDescription'){
		if(typeof blogDescriptionJS != 'undefined'){
			blogDescriptionPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/blog-description.js"></script>');
		}
	}
	else if(page == 'eventDescription'){
		if(typeof eventDescriptionJS != 'undefined'){
			eventDescriptionPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/event-description.js"></script>');
		}
	}
	else if(page == 'courseDescription'){
		if(typeof courseDescriptionJS != 'undefined'){
			courseDescriptionPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/course-description.js"></script>');
		}
	}
	else if(page == 'jobDescription'){
		if(typeof jobDescriptionJS != 'undefined'){
			jobDescriptionPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/job-description.js"></script>');
		}
	}
	else if(page == 'postDetails'){
		if(typeof postDetailJS != 'undefined'){
			postDetailPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/post-detail.js"></script>');
		}
	}
	else if(page == 'jobDetails'){
		if(typeof jobDetailJS != 'undefined'){
			jobDetailPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/job-detail.js"></script>');
		}
	}
	else if(page == 'eventDetails'){
		if(typeof eventDetailJS != 'undefined'){
			eventDetailPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="js/pages/event-detail.js"></script>');
		}
	}
	else if(page == 'courseDetails'){
		if(typeof courseDetailJS != 'undefined'){
			courseDetailPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="assets/js/pages/course-detail.js"></script>');
		}
	}
	else if(page == 'blogDetails'){
		if(typeof blogDetailJS != 'undefined'){
			blogDetailPageInitalize();
		}
		else{
			$(".externel-js-files").append('<script src="assets/js/pages/blog-detail.js"></script>');
		}
	}
	else{
		history.pushState('','','#page=profile');
	}
	if(page == 'login'){
		if(isWeb()){
			var loginHeight = $(window).height() - 64;
			$(".page-content").height(loginHeight);
		}
		$(".login-image").append('<div style="position: absolute;width: 100%;height: 100%;left: 0;right: 0;top:0;opacity: 0.5;background: #000;"></div>');
	}
	else{
		$(".page-content").height("");
		$(".login-image").empty();
	}
}

function getLoginStatus(){
	var pageName = GetQryStrParams(window.location.hash.substr(1),'page');
	$.ajax({
		type		: 'POST',
        url			: appObj.siteUserControllerUrl+'getUserDetails',
		dataType	: 'json',
        success		: function(data){
			if(data.id == 0){
				var linkType = window.location.href.indexOf("linkType") > - 1;
				if(!(pageName == 'emailVerification' || pageName == 'resetPwd' || pageName == 'contact' || pageName == 'privacy' || pageName == 'terms' || pageName == 'feedback' || linkType)){
					window.location.href = "#page=login";
				}
				$("body").addClass("appnotloggedin");
				initPage();
			}
			else{
				leftNavigationMenu(data.name,data.profile_img_medium,data.user_login_type,data.professional_headline);
				bottomNavigationMenu();
				$(".bottom-nav-content").show();

				$("body").addClass("apploggedin");
				$("body").removeClass("appnotloggedin");
				appObj.isLoggedIn = true;
				mobilePicBlock(data);
				mobileRightIcon();
				profilePicNavBlock(data);
				messageNotifications();
				requestNotifications();
				allNotifications();
				$('.fixed-navbar #header').show();
				$("#right-menu-icon").show();
				$(".login-header").hide();	
				$(".header-search").show();
				if(window.location.hash == '' || window.location.hash.substr(1) == '_=_' || appObj.pageName == "login"){		
					if(data.professional_headline != ""){
						window.location.href = "#page=socialwall";
					}
					else{
						window.location.href = "#page=profile";
					}
				}
				else{
					initPage();
				}
			}
		}
	});
}

function profilePicNavBlock(data){
	var profile_img_medium = data.profile_img_medium;
	if(profile_img_medium.indexOf("?") > 1){
		profile_img_medium = profile_img_medium+"&ts="+new Date().getTime();
	}
	else{
		profile_img_medium = profile_img_medium+"?ts="+new Date().getTime();
	}
	var profilePicture = '';
	profilePicture+='<div class="profile-picture">\
						<a href="#page=profile" class="profile-images">';
							profilePicture+='<img src='+generateUserImg(profile_img_medium,data.user_login_type,80,80)+' width="80px">';
		profilePicture+='</a>\
						<div class="stats-label text-color">';
							if(data.professional_headline){
								profilePicture+='<a href="#page=profile"><span class="font-extra-bold font-uppercase user-name">'+data.name+'</span></a>\
												<div class="dropdown">\
													<a class="dropdown-toggle" href="#" data-toggle="dropdown">\
														<small class="text-muted">'+data.professional_headline+' <b class="caret"></b></small>\
													</a>\
													<ul class="dropdown-menu animated flipInX m-t-xs">\
														<li><a href="#page=profile">Profile</a></li>\
														<li><a href="javascript:void(0);" onclick="logout();">Logout</a></li>\
													</ul>\
												</div>';
							}
							else{
								profilePicture+='<div class="dropdown">\
													<a href="#page=profile"><span class="font-extra-bold font-uppercase user-name">'+data.name+'</span></a>\
													<a class="dropdown-toggle" href="#" data-toggle="dropdown"><b class="caret"></b></a>\
													<ul class="dropdown-menu animated flipInX m-t-xs">\
														<li><a href="#page=profile">Profile</a></li>\
														<li><a href="javascript:void(0);" onclick="logout();">Logout</a></li>\
													</ul>\
												</div>';
							}
		profilePicture+='</div>\
					</div>';
	$(".profile-picture-nav").empty().append(profilePicture);
}

function mobilePicBlock(data){
	var mobilePic = '';
	mobilePic+='<span class="dropdown pull-right">\
					<a href="#page=profile">\
						<img src="'+generateUserImg(data.profile_img_medium,data.user_login_type,28,28)+'" class="img-circle" alt="logo" width=28 onerror="loadingImageError(this);">\
					</a>\
				</span>';
	$(".mobile-pic").empty().append(mobilePic);
}

function mobileRightIcon(){
	$(".mobile-right-icon").empty().append('<div class="navbar-icon pull-right">\
														<ul class="nav navbar-nav no-borders">\
															<li class="dropdown">\
																<a class="dropdown-toggle label-menu-corner request-icon" href="#page=request">\
																<i class="pe-7s-users"></i><span class="label label-danger request-count"></span>\
														</a>\
															</li>\
															<li class="dropdown">\
																<a class="dropdown-toggle label-menu-corner msg-icon" href="#page=messages">\
																<i class="pe-7s-chat"></i><span class="message-count label label-danger"></span>\
														</a>\
															</li>\
															<li class="dropdown">\
																<a class="dropdown-toggle label-menu-corner notification-icon" href="#page=notifications">\
																	<i class="pe-7s-bell"></i><span class="label label-danger notifications-count"></span>\
																</a>\
															</li>\
														</ul>\
													</div>');
}

function checkLogin(redirectLoc){
	if(appObj.isLoggedIn){
		window.location.href = redirectLoc;
	}
	else{
		window.location.href = "#page=login&msg=1";
	}
}

function changeBodyClassName(){
	var classNames = $("body").attr('class').split(/\s+/);
	$.each(classNames,function(index,item){
		if(item.indexOf("page-") == 0){
			if(item != "page-small"){
				$("body").removeClass(item);
			}
		}
	});
	$("body").addClass("page-"+appObj.pageName);
}

function loadingImageError(image){
	image.onerror = "";
    image.src = appObj.siteUrl+'assets/images/user/user.png';
    return true;
}

function getAllMessagesNotifications(){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getAllMessagesNotifications',
		type		:'POST',
		dataType	:'json',
		success		:function(data){
			var messages = '';
			var messagesCount = 0;
			messages+='<div class="message-scroll">';
			if(data.fields == ''){
				messages+='<div class="p-xs">You have no new messages.</div>';
			}
			else{
				$.each(data.fields,function(index,fields){
					messages+='<li>\
									<a href="javascript:void(0);" onclick="listMessages('+fields.from_id+');" class="no-padding">\
										<div class="pull-left"><img class="m-r-sm" src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,50,50)+'" width="50px"></div>\
										<h5 class="m-n">'+fields.name+'</h5>\
										<p class="m-n text-muted message-truncate">'+fields.message+'</p>\
										<small><i class="fa fa-clock-o"></i> '+convertDateFormat(fields.sent_date.replace(/-/g, "/"))+'</small>\
									</a>\
								</li>';
					if(fields.status == 0){
						messagesCount = messagesCount + 1;
					}
				});
			}
			messages+='<div>';
			$(".message-notification").empty().append(messages);
			if(messagesCount > 0){
				$('.message-count').html(messagesCount);
			}
			$('.message-scroll').slimScroll({
				distance:"-1px",
				height: '300px',
				touchScrollStep : 75
			});
		}
	});
}

function listMessages(fromId){
	setTimeout(function(){
		window.location.href = "#page=messages&userId="+fromId+"";
	},1000);
	$(".head-msg").remove();
}

$(document).on("click",".msg-icon",function(){
	$(".message-count").remove();
	$.ajax({
		url			:appObj.siteUserControllerUrl+'updateMessageStatus',
		type		:'POST',
		dataType	:'json',
	});
});

function convertDateFormat(date_time){
	var format = date_time+" GMT";
	var currentDate = Math.round(+new Date()/1000);
	var sentDate = Math.round(+new Date(format)/1000); 
	var diffTime = currentDate - sentDate;
	//Full Date
	var monthNames = ["Jan", "Feb", "Mar", "Apr", "May", "Jun",
	"Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ];
	var month_value = new Date(format).getMonth();
	var hours = new Date(format).getHours();
	var ampm = (hours >= 12) ? "PM" : "AM";
	var getHour = ((hours + 11) % 12 + 1);
	var time = getHour+":"+("0"+ new Date(format).getMinutes()).slice(-2)+" "+ampm;
	
	if (diffTime < 86400){
		return time;
	}
	else{
		return monthNames[month_value]+' '+new Date(format).getDate()+', '+time;
	}
}


function convertPostDateFormat(date_time){
	var format = date_time+" GMT";
	var currentDate = Math.round(+new Date()/1000);
	var sentDate = Math.round(+new Date(format)/1000); 
	var diffTime = currentDate - sentDate;
	//Full Date
	var monthNames = ["Jan", "Feb", "Mar", "Apr", "May", "Jun",
	"Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ];
	var month_value = new Date(format).getMonth();
	var hours = new Date(format).getHours();
	var ampm = (hours >= 12) ? "PM" : "AM";
	var getHour = ((hours + 11) % 12 + 1);
	var time = getHour+":"+("0"+ new Date(format).getMinutes()).slice(-2)+" "+ampm;
	
	if (diffTime < 59 && diffTime < 121) {
		return 'Just now';
	}
	else if(diffTime >= 121 && diffTime <= 3600){
		return (parseInt(diffTime / 60)).toString() + ' mins';
	}
	else if(diffTime > 3600 && diffTime < 7200){
		return '1 hr';
	}
	else if(diffTime > 7200 && diffTime < 86400){
		return (parseInt(diffTime / 3600)).toString() + ' hrs';
	}
	else if(diffTime > 86400 && diffTime < 172800){
		return '1 day';
	}
	else{
		return monthNames[month_value]+' '+new Date(date_time).getDate()+', '+time;
	}
}

function displayMyPage(data){
	var pageName = $(data).attr('page_name');
	window.location.href = "#page=myPages&pageName="+pageName;
}


function changeTheURL(id){
	window.location = appObj.siteUrl+'indexdefault.php#page=publicProfile&id='+id;
}

function logout(){
	window.location.href = appObj.siteFbConnctControllerUrl+"web_logout";
}

function generateUserImg(imgPath,loginType,width,height){
	return imgPath;
}

function isWeb(){
	if(appObj.deviceType == "W"){
		return true;
	}
}

function isMobile(){
	if(appObj.deviceType == "M"){
		return true;
	}
}

function isMobileApp(){
	if(typeof isCordovaApp != 'undefined'){
		return true;
	}
}

function isIosApp(){
	if(typeof isCordovaApp != 'undefined'){
		if(cordova.platformId == "ios"){
			return true;
		}	
	}
}

function bottomNavigationMenu(){
	var bottomNavigationMenu ='';
	bottomNavigationMenu+= "<ul>\
								<li class='social'>\
									<a href='javascript:void(0);' onclick='checkLogin(\"#page=socialwall\");'>\
										<i class='pe-7s-news-paper'></i><span>Social wall</span><div class='dots'></div></a>\
								</li>\
								<li class='connections'>\
									<a href='javascript:void(0);' onclick='checkLogin(\"#page=request\");'>\
									<i class='pe-7s-add-user'></i><span>Connections</span></a>\
								</li>\
								<li class='jobs'>\
									<a href='javascript:void(0);' onclick='checkLogin(\"#page=jobs\");'>\
										<i class='pe-7s-portfolio'></i><span>Jobs</span>\
									</a>\
								</li>\
								<li class='groups'>\
									<a href='javascript:void(0);' onclick='checkLogin(\"#page=myGroups\");'>\
										<i class='pe-7s-users'></i><span>Groups</span>\
									</a>\
								</li>\
								<li class='hide-menu'>\
									<a href='javascript:void(0);'>\
										<i class='pe-7s-menu'></i><span>More</span>\
									</a>\
								</li>\
							</ul>";
	$(".bottom-nav-content").empty().append(bottomNavigationMenu);
}

function bottomMenuActive(){
	$(".bottom-nav-content li").removeClass("active");
	if(appObj.pageName == "socialwall"){
		$("li.social").addClass("active");
	}
	else if(appObj.pageName == "request"){
		$("li.connections").addClass("active");
	}
	else if(appObj.pageName == "jobs"){
		$("li.jobs").addClass("active");
	}
	else if(appObj.pageName == "myGroups"){
		$("li.groups").addClass("active");
	}
}

$(document).on('click','#menu',function(){
	$('body').removeAttr('style');
});

$(document).on('click','.notification-User-img',function(event){
	var userId = $(event.target).attr('userId');
	getPublicProfileDetails(userId);
});


// function displayPublicProfile(userId,profile_img_medium,cover_photo,user_login_type,name,professional_headline,ethinicity_flag){
	// $("#commonModal").remove();
	// var publicProfileContent = '';
		// publicProfileContent+='<div class="row">\
									// <div class="col-sm-12 col-md-12 col-lg-12">\
										// <div class="hpanel public-profile">\
											// <div class="panel-body well-sm no-padding">\
												// <div class="row">\
													// <div class="col-sm-12">\
														// <div id="myCarousel" class="carousel fade profile-carousel">\
															// <div class="carousel-inner">\
																// <div class="item active">\
																	// <div class="vignette">';
																		// if(cover_photo){
																			// publicProfileContent+='<img class="profile-cover-pic" src="'+appObj.baseUrl+'assets/images/cover/'+cover_photo+'">';
																		// }
																		// else{
																			// publicProfileContent+='<img class="profile-cover-pic" src="'+appObj.siteUrl+'assets/images/default-cover.png">';
																		// }
																	// publicProfileContent+='</div>\
																	// <a class="close-profile" href="javascript:void(0);" onclick="bootbox.hideAll();">x</a>\
																	// <div class="air air air-bottom-right p-xs check-connections-btn"></div>\
																// </div>\
															// </div>\
														// </div>\
													// </div>\
													// \
													// <div class="col-sm-12 user-details-block">\
														// <div class="col-sm-3 profile-pic">\
															// <div class="img-wrap">\
																// <div class="user-pic">\
																	// <img class="user-img" src='+generateUserImg(profile_img_medium,user_login_type,120,120)+' width="120" height="120" onerror="loadingImageError(this);">\
																// </div>\
																// <div class="ethinic-flag"></div>\
															// </div>\
														// </div>\
														// <div class="col-sm-6">\
															// <h3 class="m-t-none">\
																// <span class="username">'+name+'</span><br>';
																	// publicProfileContent+='<div class="mobile-ethinic-flag">';
																		// if(ethinicity_flag){
																			// ethinicity_flag = ethinicity_flag.split(',');
																			// ethinicity_flag.forEach(function(item){
																				// publicProfileContent+='<img src="assets/images/country-flags/24x24/'+item+'.png">';
																			// });
																		// }
																	// publicProfileContent+='</div>\
																// <span class="professional">'+professional_headline+'</span>\
															// </h3>\
															// <p class="living-city"></p>\
														// </div>\
													// </div>\
												// </div>\
											// \
											// <div class="row">\
												// <div class="col-sm-12">\
													// <div class="hpanel profile-main-widget">\
														// <ul class="nav nav-tabs bordered profile-tab">\
															// <li class="active">\
																// <a href="#publicprofessionalProfile" data-toggle="tab"><span class="profile-tab-icon"><i class="fa fa-fw fa-lg fa-book"></i></span><span class="profile-tab-title">Professional</span></a>\
															// </li>\
															// <li>\
																// <a href="#publicaboutMe" data-toggle="tab"><span class="profile-tab-icon"><i class="fa fa-fw fa-lg fa-user"></i></span> About </a>\
															// </li>\
															// <li>\
																// <a href="#publicconnections" data-toggle="tab" onclick="getProfileConnections('+userId+');"><span class="profile-tab-icon"><i class="fa fa-lg fa-fw fa-user-plus"></i></span><span class="profile-tab-title"> Connections</span></a>\
															// </li>\
															// <li>\
																// <a href="#timeline" data-toggle="tab"><span class="profile-tab-icon"><i class="fa fa-lg fa-newspaper-o"></i></span> <span class="profile-tab-title"> Timeline</span> </a>\
															// </li>\
														// </ul>\
														// <div id="myTabContent1" class="tab-content">\
															// <div class="tab-pane fade in active" id="publicprofessionalProfile"></div>\
															// <div class="tab-pane fade" id="publicaboutMe">\
																// <div class="info-border new-border">\
																	// <h2 class="about-style">Ethnicity</h2>\
																	// <p class="info-select ethnicity-data"></p>\
																// </div>\
																// <div class="info-border new-border">\
																	// <h2 class="about-style">Educational Level</h2>\
																	// <p class="info-select education-level-data"></p>\
																// </div>\
																// <div class="info-border new-border">\
																	// <h2 class="about-style">Hobbies</h2>\
																	// <p class="info-select hobbies-data"></p>\
																// </div>\
																// <div class="info-border new-border">\
																	// <h2 class="about-style">Occupation</h2>\
																	// <p class="info-select occupation-data">\</p>\
																// </div>\
																	// <div class="info-border new-border">\
																	// <h2 class="about-style">Occupation Group</h2>\
																	// <p class="info-select occupation-group-data">\</p>\
																	// <p class="info-select occupation-subgroup-data">\</p>\
																// </div>\
																// <div class="info-border new-border">\
																	// <h2 class="about-style">Languages</h2>\
																	// <p class="info-select languages-data">\</p>\
																// </div>\
																// <div class="info-border new-border" style="border:0!important;">\
																	// <h2 class="about-style">Basic Info</h2>\
																	// <p class="info-select basic-info-data"></p>\
																// </div>\
															// </div>\
															// <div class="tab-pane fade" id="publicconnections">\
																// <div class="row public-connections p-xs"></div>\
															// </div>\
															// <div class="tab-pane fade" id="timeline">\
																// <div class="user-timeline p-xxs"></div>\
															// </div>\
														// </div>\
													// </div>\
												// </div>\
											// </div>\
										// </div>\
									// </div>\
								// </div>';
	// bootbox.dialog({
		// message 	: publicProfileContent,
		// animate 	: false,
		// closeButton	: false,
		// className	: "publicProfileModal",
		// 'backdrop'	: false,
		// onEscape: function() {
			// bootbox.hideAll();
		// },
	// });
	// checkConnectionStatus(userId,name);
	// getUserProfessionalDetails(userId);
	// getUserAboutDetails(userId);
	// getUserProfileTimeline(userId);
// }

// New Design
function displayPublicProfile(userId,profile_img_large,cover_photo,user_login_type,name,professional_headline,ethinicity_flag){
	var popupContent = '<div class="publicProfile" id="customPopupPage">\
							<div class="public-profile-header">\
								<h3>\
									<i class="fa fa-lg fa-times" onclick="removeCustomModal();"></i>\
									<b>'+name+'</b>\
								</h3>\
							</div>\
							<div class="public-profile-content">\
								<div class="row">\
									<div class="col-sm-12">\
										<div class="profile-cover">';
											if(cover_photo){
												popupContent+='<img class="profile-cover-pic" src="'+appObj.baseUrl+'assets/images/cover/'+cover_photo+'">';
											}
											else{
												popupContent+='<img class="profile-cover-pic" src="assets/images/default-cover.png">';
											}				
					popupContent+='</div></div></div>';
					popupContent+='<div class="row">\
										<div class="col-sm-12">\
											<div class="user-main-info">\
												<div class="user-pic">\
													<img class="user-img" src='+generateUserImg(profile_img_large,user_login_type,120,120)+' width="120" height="120" onerror="loadingImageError(this);">\
												</div>\
												<div>\
													<h4 class="text-center"><b>'+name+'</b></h3>\
													<h5 class="text-center">'+professional_headline+'</h5>\
													<div class="con-status"></div>\
												</div>\
											</div>\
											<div class="user-summary" style="display:none;"></div>\
											<div class="user-experience" style="display:none;"></div>\
											<div class="user-skills" style="display:none;"></div>\
											<div class="user-education" style="display:none;"></div>\
										</div>\
									</div>\
								</div>';
	$("body").append(popupContent);
	$(".pf-slider-content .item").height($(window).height() - 30);
	getUserProfessionalDetails(userId);
	checkConnectionStatus(userId,name);
}

function removeCustomModal(){
	$("#customPopupPage").remove();
}

function checkConnectionStatus(id,name){
	$.ajax({
		url			: appObj.siteUserControllerUrl+'checkConnectionStatus',
		type		: 'POST',
		data		: {user_id:id},
		dataType	: 'json',
		success		: function(data){
			if(data){
				if(data.accepted_flag == 1){
					$(".con-status").append('<a class="btn btn-sm btn-primary" onclick="addNewMessage(this,1);" userName="'+name+'" userId="'+id+'"><i class="fa fa-envelope"></i> Send Message</a>');
				}
				else if(data.accepted_flag == 0){
					if(data.user_id == data.current_user_id){
						$(".con-status").append('<a class="btn btn-sm btn-primary" type="connections" onclick="acceptRequest(this,'+id+')"> Accept</a>');
					}
					else{
						$(".con-status").append('<a class="btn btn-sm btn-primary" disabled><i class="fa fa-check"></i> Request sent</a>');
					}
				}
			}
			else{
				$(".con-status").append('<a href="javascript:void(0);" class="btn btn-sm btn-primary" onclick="sendProfileConnectionsRequest(this,'+id+')"><i class="fa fa-user-plus"></i> Connect</a>');
			}
		}
	});	
}

function getUserProfessionalDetails(userId){
	$.ajax({
		type    : 'POST',
		url     : appObj.siteUserControllerUrl+'getProfessionalProfile',
		data    : {userId:userId},
		dataType: 'json',
		success : function(data){
			if(data.professional_summary){
				var summary = '';
				summary += '<h4>Professional Summary</h4><p>'+data.professional_summary+'</p>';
				$(".user-summary").append(summary).show();
			}
			if(data.experience){
				var experience = '';
				experience += '<h4>Experience</h4>\
								<div class="experience-content">';
									var exp = $.parseJSON(data.experience);
									var months1 = ['January','February','March','April','May','June','July','August','September','October','November','December'];
									for(var i=0;i<exp.length;i++){
										experience += '<div class="m-b-sm"><span class="job_title"><b>'+exp[Object.keys(exp)[i]].company_name+'</b></span><br>'+exp[Object.keys(exp)[i]].job_title+',&nbsp'+exp[Object.keys(exp)[i]].job_location+'</br><div class="text-muted">'+months1[exp[Object.keys(exp)[i]].exp_start_month-1]+' '+exp[Object.keys(exp)[i]].exp_start_year+' - ';
										
										if(exp[Object.keys(exp)[i]].exp_end_month == '' && exp[Object.keys(exp)[i]].exp_end_year == '' ){
											experience += 'Present'
										}
										else{
											experience += months1[exp[Object.keys(exp)[i]].exp_end_month-1]+' '+exp[Object.keys(exp)[i]].exp_end_year;
										}
										experience += '</div></div>';
									}
				experience += '</div>';
				$(".user-experience").append(experience).show();
			}
			if(data.skills){
				var skills = '';
				skills += '<h4>Skills</h4>\
							<div class="skills-data">';
								if(data.skills[0] == '['){
									var numberOfData = JSON.parse(data.skills);
									for(var i=0;i<numberOfData.length;i++){
										skills += '<span class="skill-block">'+numberOfData[i].data.skills+'</span>';
									}
								}
								else if(data.skills[0] != '['){
									var skillsArray = data.skills.split(',');
									skillsArray.forEach(function(item){
										skills += '<span class="skill-block">'+item+'</span>';
									});
								}
				skills += '</div>';
				$(".user-skills").append(skills).show();
			}
			if(data.education){
				var education = '';
				education += '<h4>Education</h4>\
								<div class="education_datail">';
									var educationData = $.parseJSON(data.education);
									for(var i=0;i<educationData.length;i++){
										education += '<div class="m-b-sm"><span class="institute"><b>'+educationData[Object.keys(educationData)[i]].institute_name+'</b></span><br>'+educationData[Object.keys(educationData)[i]].degree+' '+educationData[Object.keys(educationData)[i]].field_of_study+'<br>'+educationData[Object.keys(educationData)[i]].start_period+'-'+educationData[Object.keys(educationData)[i]].end_period+'</div>';
									}
				education += '</div>';
				$(".user-education").append(education).show();
			}
		}
	});
}

function getUserProfileTimeline(userId){
	$.ajax({
		type		: "POST",
		url         : appObj.siteUserControllerUrl+'getUserProfileTimeline',
		data		:{userId:userId},
		dataType	:'json',
		success     : function(data){
			var timeline ='';
			var pics = '';
			if(data.fields == ''){
				$(".user-timeline").html('No posts to display.');
			}
			else{
				$.each(data.fields,function(index,fields){
					timeline = '';
					pics = [];
					var str = fields.post_text;
					var regex = /(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig;
					var replaced_text = str.replace(regex, "<a class='btn-link' href='$1' target='_blank' style='color:#3b5998;'>$1</a>");
					
					if(fields.description != ''){
						var shortDesc = fields.description.substring(0,200)+ '...';
					}
					timeline+='<div class="panel panel-default m-b-sm" id="timeline'+fields.id+'">\
										<div class="panel-body status">\
											<div class="who clearfix">\
												<a href="javascript:void(0);" onclick="getPublicProfileDetails('+fields.user_id+')">\
													<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'" alt="img" class="online" width=40px onerror="loadingImageError(this)">\
												</a>\
												<span class="name"><b><a href="javascript:void(0);" onclick="getPublicProfileDetails('+fields.user_id+')">'+fields.name+'</a></b>';
													if(fields.ethinicity_country_code != ''){
														var ethinicity_flag = fields.ethinicity_country_code.split(',');
														ethinicity_flag.forEach(function(item){
															timeline+='<img class="post-flag m-l-xs" src="assets/images/country-flags/16x16/'+item+'.png">';
														});
													}
													
													if(fields.share == 1 && fields.post_type == 0){
														timeline+=' shared a post';
													}
													else if(fields.share == 1 && fields.post_type == 1){
														timeline+=' shared a job';
													}
													else if(fields.share == 1 && fields.post_type == 2){
														timeline+=' shared a event';
													}
													else if(fields.share == 1 && fields.post_type == 3){
														timeline+=' shared a course';
													}
													else if(fields.share == 1 && fields.post_type == 4){
														timeline+=' shared a news';
													}
													else if(fields.share == 1 && fields.post_type == 5){
														timeline+=' shared a blog';
													}
													timeline+='<span class="m-r-xs pull-right post-time">'+convertPostDateFormat(fields.created_date.replace(/-/g, "/"))+'</span>\
												</span>\
												<span class="post-professional text-muted">'+fields.professional_headline+'</span>\
											</div>\
											<div class="text">';
												if(fields.share == 0){
													if(fields.post_text != '' && fields.meta_tag_title == ''){
														timeline+='<p>'+replaced_text+'</p>';
													}
													if(fields.post_img != ''){
														var img = fields.post_img.split(',');
														timeline+='<div class="gallery'+fields.id+'"></div>';
														img.forEach(function(item,index){
															pics[index] = appObj.baseUrl+'assets/images/post/'+item;
														});
													}
													else if(fields.image_link != ''){
														timeline+= '<img class="img-responsive center-block" src="'+fields.image_link+'">';
													}
												}
												else if(fields.share == 1 && fields.meta_tag_title == ''){
													timeline+='<div class="share-text-block">';
														if(fields.post_type != 0){
															timeline+= '<a href="javascript:void(0);" url="'+fields.link+'" onclick="openlink(this);">';
														}
															timeline+= '<div class="share-image">';
																if(fields.post_img != ''){
																	if(fields.post_type == 5){
																		timeline+= '<img class="img-responsive center-block" src="'+appObj.baseUrl+'assets/images/blog/'+fields.post_img+'">';
																	}
																	else{
																		var img = fields.post_img.split(',');
																		timeline+='<div class="gallery'+fields.id+'"></div>';
																		img.forEach(function(item,index){
																			pics[index] = appObj.baseUrl+'assets/images/post/'+item;
																		});
																	}
																}
																else if(fields.image_link != ''){
																	timeline+= '<img class="img-responsive center-block" src="'+fields.image_link+'">';
																}
															timeline+= '</div>';
															timeline+='<div class="p-xxs">';
																if(fields.post_text !=''){
																	timeline+='<p>'+replaced_text+'</p>';
																}
																if(fields.description != ''){
																	timeline+= '<div class="description">'+fields.description+'</div>';
																}
																if(fields.post_type == 0){
																	timeline+='<a href="javascript:void(0);" url="?linkType=share&postId='+fields.id+'&page=postDetails#page=postDetails" onclick="openlink(this);" class="btn-link view-more">View More</a>';
																}
															timeline+='</div>\
														</a>\
													</div>';
												}
												if(fields.meta_tag_title != ''){
													timeline+= '<div class="meta-tag-block" id="metaTag'+fields.id+'">\
														<a href="'+fields.meta_tag_link+'" target="_blank">';
															if(fields.meta_tag_img != ''){
																timeline+='<img src="'+fields.meta_tag_img+'" class="img-responsive center-block">';
															}
															timeline+='<div class="p-xxs">';
																timeline+= '<p>'+fields.meta_tag_title+'</p>';
																if(fields.meta_tag_desc != ''){
																	timeline+= '<div class="description">'+fields.meta_tag_desc+'</div>';
																}
															timeline+= '</div>\
														</a>\
													</div>';
												}
											timeline+='</div>\
										</div>\
									</div>';
					$(".user-timeline").append(timeline);
					$('.gallery'+fields.id).imagesGrid({
						images			: pics,
						align			: true,
						getViewAllText	: function(imgsCount){
							return '+' + (imgsCount - 5);
						}
					});
					
					//Meta Tag
					var img = new Image();
					img.onload = function(){
						if(this.width < 400 || this.height < 400){
							$('.meta-tag-block#metaTag'+fields.id).addClass("small-image");
						}
					}
					img.src = fields.meta_tag_img;
				});
			}
		}
	});
}

function getUserAboutDetails(userId){
	$.ajax({
		type    	: 'POST',
		url    	 	: appObj.siteUserControllerUrl+'getPublicUserAboutDetails',
		data    	: {userId:userId},
		dataType 	: 'json',
		success 	: function(data){
			if(data.ethinicity){
				if(data.ethinicity_flag){
					var ethinicity_flag = data.ethinicity_flag.split(',');
					$(".public-profile .ethinic-flag").empty();
					ethinicity_flag.forEach(function(item){
						$(".public-profile .ethinic-flag").append('<img src="assets/images/country-flags/24x24/'+item+'.png">');
					});
					$(".public-profile .ethnicity-data").append(data.ethinicity.split(',').join(', '));
				}
				else{
					$(".public-profile .ethinic-flag").empty();
				}
			}
			else{
				$(".public-profile .ethnicity-data").append('<p>No ethnicity details provided.</p>');
			}
			if(data.educational_level){
				$(".public-profile .education-level-data").append(data.educational_level);
			}
			else{
				$(".public-profile .education-level-data").append('<p>No education details provided.</p>');
			}
			if(data.hobbies){
				var hobbies = data.hobbies.split(',');
				var hobbiesList = '';
				for(var i=0;i<hobbies.length;i++){
					hobbiesList += '<span class="skill-block">'+hobbies[i]+'</span>';
				}
				$('.hobbies-data').empty().append(hobbiesList);
			}
			else{
				$('.hobbies-data').empty().append('<p>No hobbie details provided.</p>');
			}
			if(data.occupation){
				$(".public-profile .occupation-data").append(data.occupation.split(',').join(', '));
			}
			else{
				$(".public-profile .occupation-data").append('<p>No occupation details provided.</p>');
			}
			if(data.occupational_group){
				$(".public-profile .occupation-group-data").append("<span><b>"+data.occupational_group+'</b></span>');
				$(".public-profile .occupation-subgroup-data").empty().append(data.occupational_subgroup.split(',').join(', '));
			}
			else{
				$(".public-profile .occupation-group-data").append('<p>No occupation group provided.</p>');
			}
			if(data.languages_list){
				$(".public-profile .languages-data").empty().append(data.languages_list.split(',').join(', '));
			}
			else{
				$(".public-profile .languages-data").empty().append('<p>No languages added.</p>');
			}
			if(data.gender == 1){
				gender = "Female";
			}
			else if(data.gender == 2){
				gender = "Male";
			}
			if(data.dob != "" && data.gender != ""){
				var formatted = '';
				if(data.public_profile_privacy){
					var birthYear = '';
					var birthDate = '';
					var date = new Date(data.dob.replace(/-/g, "/"));
					
					var profilePrivacyData = [];
					profilePrivacyData = JSON.parse(data.public_profile_privacy);
					var myArr = profilePrivacyData[1];
					result = myArr.split(',');
					
					if(result[0] == 1){
						var months = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
						var monthString = months[new Date(data.dob.replace(/-/g, "/")).getMonth()];
						birthDate = monthString+" " +("0" + date.getDate(data.dob)).slice(-2)+', ';
					}
					if(result[1] == 1){
						birthYear = date.getFullYear(data.dob);
					}
					formatted = 'Date of birth : '+birthDate+''+birthYear+'<br>';
				}
				$(".public-profile .basic-info-data").empty().append(formatted+'Gender : '+gender);
			}
			else{
				$(".public-profile .basic-info-data").append('<p>No basic info details provided.</p>');
			}
			if(data.living_city && data.living_state){
				$('.public-profile .living-city').empty().append('<i class="fa fa-map-marker"></i> '+data.living_city+', '+data.living_state+', '+data.living_country);
			}
		}
	});
}

function getProfileConnections(id){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getProfileConnections',
		type		:'POST',
		data		:{id:id},
		dataType	:'json',
		success		:function(data){
			if(data.length > 0){
				var i;
				var connections = '';
				for(i=0;i<data.length;i++){
					connections += displayProfileConnections(data[i].id,data[i].name,data[i].professional_headline,data[i].profile_img_medium,data[i].user_login_type,data[i].ethinicity_country_code,data[i].cover_photo,data[i].connectionsForPP);
				}
				$('.public-profile .public-connections').empty().append(connections);
			}
			else{
				$('.public-profile .public-connections').empty().append('<div class="col-sm-12">No Connections.</div>');
			}
		}
	});
}

function displayProfileConnections(id,name,professional,imagepath,loginType,ethinicity_country_code,cover_photo,connectionsForPP){
	var myConnectionsBlock = '';
	myConnectionsBlock += '<div class="col-sm-4">\
								<div class="mentors-block">';
									myConnectionsBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'>";
										myConnectionsBlock+='<img class="img-responsive" src="'+generateUserImg(imagepath,loginType,120,120)+'" alt="Img" width="70" onerror="loadingImageError(this);">\
									</a>\
									<div class="mentors-details">';
										myConnectionsBlock+="<a href='javascript:void(0);' onclick='displayPublicProfile("+id+",\""+imagepath+"\",\""+cover_photo+"\","+loginType+",\""+name+"\",\""+professional+"\",\""+ethinicity_country_code+"\");'>";
											myConnectionsBlock+='<h6 class="name-truncate"><b>'+name+'</b></h6>\
										</a>\
										<div class="name-truncate" style="height:17px;">'+professional+'</div>';
										if(connectionsForPP == 1){
											myConnectionsBlock += '<a class="btn btn-outline btn-sm" onclick="sendMessagesConnectionsForm(this);" username="'+name+'" userid="'+id+'"><i class="fa fa-envelope"></i> Send message</a>';
										}	
										else if(connectionsForPP == 2){
											myConnectionsBlock += '<a class="btn btn-outline btn-sm" type="connections" onclick="acceptRequest(this,'+id+');">Accept</a>';
										}
										else if(connectionsForPP == 3){
											myConnectionsBlock+='<a href="javascript:void(0);" class="btn btn-outline btn-sm" onclick="sendConnectionsRequest(this,'+id+')"><i class="fa fa-lg fa-user-plus"></i> Connect</a>';	
										}
										else if(connectionsForPP == 4){
											myConnectionsBlock += '<a class="btn btn-outline btn-sm disabled"><i class="fa fa-check"></i> Request sent</a>';
										}
		
									myConnectionsBlock+='</div>\
								</div>\
							</div>';
	return myConnectionsBlock;
}


function sendMessagesConnectionsForm(btn){
	bootbox.hideAll();
	var userName = $(btn).attr('userName');
	var userId = $(btn).attr('userId');
	var sendMessage = '';
	sendMessage += '<span>To : </span><span class="user-name-badge"> '+userName+'</span>\
						<form id="send-message-form">\
							<div class="form-group">\
							  <input type="hidden" name="userId" value="'+userId+'">\
							  <textarea class="form-control" rows="2" placeholder="Write message..." name="userMessage" onkeyup="auto_grow(this);"></textarea>\
							</div>\
							<button type="button" class="btn btn-info btn-sm" onclick="sendMessagesConnections(this);">Send</button> &nbsp\
							<span class="sending-message"></span>\
						</form>';
	bootbox.dialog({
		message		: sendMessage,
		animate		: false,
		title		: 'New Message',
		className	: 'createGroup',
	});
}

function auto_grow(element) {
	$(element).height(30);
    $(element).height(element.scrollHeight);
}

function sendMessagesConnections(btn){
	var message = $("textarea[name=userMessage]").val();
	if(message != ""){
		$(btn).text('Sending...');
		var formData = new FormData($('#send-message-form')[0]);
		$.ajax({
			url     	: appObj.siteUserControllerUrl+'sendMessageConnections',
			type    	: 'POST',
			dataType	:'json',
			data    	: formData,
			contentType : false,
			processData : false,
			success 	: function(data){
				$(btn).text('Send');
				$("textarea[name=userMessage]").val('');
				$(".sending-message").html('Message sent successfully.');
			}
		});
	}
	else{
		$(".sending-message").html('Please type the message.');
	}
}

function sendProfileConnectionsRequest(btn,user_id){
	$(btn).empty().append('<i class="fa fa-check"></i> Request sent');
	$(btn).addClass("disabled");
	$.ajax({
		type		: 'POST',
		url     	: appObj.siteUserControllerUrl+'sendConnectionsRequest',
		data		: {user_id:user_id},
		dataType	: 'json',
		success 	: function(data){
			if(data == 1){
				sendNotifications(user_id,"connectionsRequest");
			}
		}
	});
}

function getUserProfileImage(){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getUserProfileImage',
		dataType	:'json',
		success		:function(data){
			var profile_img_small = data.profile_img_small;
			if(profile_img_small.indexOf("?") > 1){
				profile_img_small = profile_img_small+"&ts="+new Date().getTime();
			}
			else{
				profile_img_small = profile_img_small+"?ts="+new Date().getTime();
			}
			$(".user-post-img").empty().append('<img class="pull-left" src='+generateUserImg(profile_img_small,data.user_login_type,40,40)+' width="40px" onerror="loadingImageError(this)">');
			$("input[name=feedback-name]").val(data.name);
		}
	});
}

function openlink(URL){
	var externalUrl = $(URL).attr("url");
	if(typeof isCordovaApp != 'undefined'){
		cordova.InAppBrowser.open(externalUrl, '_blank', 'location=yes');
	}
	else{
		window.open(externalUrl, '_blank');
	}
}

function socialShare(link){
	var Link = $(link).attr("link");
	window.plugins.socialsharing.share('', null, null, Link);
}
function changeDateFormat(date){
	var monthNames = ["January", "February", "March", "April", "May", "June",
	"July", "August", "September", "October", "November", "December" ];
	var month_value = new Date(date).getMonth();
	var hours = new Date(date).getHours();
	var ampm = (hours >= 12) ? "pm" : "am";
	var getHour = ((hours + 11) % 12 + 1);
	var time = getHour+":"+("0"+ new Date(date).getMinutes()).slice(-2)+" "+ampm;
	return monthNames[month_value]+" "+new Date(date).getDate()+" at "+time;
}

function getAllGroupsNotification(){
	$.ajax({
		url         : appObj.siteUserControllerUrl+'getAllGroupsNotification',
		dataType	:'json',
		success     : function(data){
			var notification = '';
			var notificationCount = 0;
			notification+='<div class="p-xs"><b>Notifications</b></div>';
			notification+='<div class="notification-scroll">';
			$.each(data.fields,function(index,fields){
				var date = new Date(fields.updated_date);
				var format = date.getMonth(fields.updated_date);
				var monthNames = ["January", "February", "March", "April", "May", "June","July", "August", "September", "October", "November", "December" ];
				var hours = date.getHours(fields.updated_date);
				var updated_date = monthNames[format]+' '+date.getDate(fields.updated_date)+', '+date.getFullYear(fields.updated_date);
				
				if(fields.status == 0){
					notificationCount = notificationCount + 1;
					if(fields.type == 5){
						notification+='<li class="unread-notification"><a href="javascript:void(0);" type='+fields.type+' group-id='+fields.group_id+' post_id='+fields.post_id+' onclick="viewGroupsNotifications(this);" class="no-padding"><img src="'+generateUserImg(fields.profile_img_path,fields.user_login_type,50,50)+'" style="width:50px;" class="pull-left m-r-xs">\
						<p class="m-n"><b>'+fields.name+'</b> Post in <b>'+fields.group_name+'.</b></p>\
						<p class="m-n text-muted"><i class="pe-7s-users pe-lg pe-va"></i> '+updated_date+'</p>\
						</a></li>';
					}
				}
			});
			notification+='</div>';
			$(".list-notification").empty().append(notification);
			if(notificationCount > 0){
				$('.groups_notification_count').html(notificationCount);
			}
			$('.notification-scroll').slimScroll({
				distance:"-1px",
				height: '220px',
				alwaysVisible: false
			});
		}
	});
}

function viewGroupsNotifications(data){
	var postId = $(data).attr("post_id");
	var GroupId = $(data).attr("group-id");
	$.ajax({
		type		:'POST',
		url     	: appObj.siteUserControllerUrl+'viewGroupsNotifications',
		data		:{GroupId:GroupId,postId:postId},
		success     : function(data){
			if(data == 1){
				window.location.href = "#page=myGroups&GroupId="+GroupId;
			}
		}
	});
}

function getLocation(mylocation){
	if(mylocation.length > 3){
		$.ajax({
			url			:appObj.siteUserControllerUrl+'createPageUserLocation',
			type		:'POST',
			data		:{city:mylocation},
			dataType	:'json',
			success		:function(data){
				var i;
				var searchResults ='';
				searchResults = '<ul class="countryListUL">';
				for(i=0;i<data.length;i++){
					searchResults += '<li class="countryListli" onclick="getPageUserLocation(this)" city-name="'+data[i].city+'" state-name="'+data[i].state+'" country-name="'+data[i].country+'">'+data[i].city+', '+data[i].state+','+data[i].country+'\
							</li>';
				}
				searchResults += '</ul>';
				$('.displayLocation').empty().append(searchResults);
			}
		});
	}
}

function getPageUserLocation(loaction){
	var City = $(loaction).attr("city-name");
	var State = $(loaction).attr("state-name")
	var Country = $(loaction).attr("country-name");
	$("input[name=BusinessCity]").val($(loaction).text());
	$('.displayLocation').empty();
}
function timeSince(date_time,currentDate){
	var currentDate = Math.round(+new Date(currentDate)/1000);
	var tweetDate = Math.round(+new Date(date_time)/1000); 
	var diffTime = currentDate - tweetDate;
	
	//Full Date
	var monthNames = ["Jan", "Feb", "Mar", "Apr", "May", "Jun",
	"Jul", "Aug", "Sept", "Oct", "Nov", "Dec" ];
	var month_value = new Date(date_time).getMonth();
	var hours = new Date(date_time).getHours();
	var ampm = (hours >= 12) ? "pm" : "am";
	var getHour = ((hours + 11) % 12 + 1);
	var time = getHour+":"+("0"+ new Date(date_time).getMinutes()).slice(-2)+" "+ampm;
	
	if (diffTime < 59 && diffTime < 121) {
		return 'Just now';
	}
	else if(diffTime >= 121 && diffTime <= 3600){
		return (parseInt(diffTime / 60)).toString() + ' mins';
	}
	else if(diffTime > 3600 && diffTime < 7200){
		return '1 hr';
	}
	else if(diffTime > 7200 && diffTime < 86400){
		return (parseInt(diffTime / 3600)).toString() + ' hrs';
	}
	else if(diffTime > 86400 && diffTime < 172800){
		return '1 day';
	}
	else{
		return monthNames[month_value]+' '+new Date(date_time).getDate()+' at '+time;
	}
}

//Comments
function saveComments(btn,type,post_id){
	var comments = $(btn).parent().prev().val();
	$(btn).prop('disabled',true);
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'saveComments',
		data		:{type:type,post_id:post_id,comments:comments},
		dataType	:'json',
		success     : function(data){
			if(data){
				$(btn).parent().prev().css('height','');
				$(btn).parent().prev().val('');
				var comments = '';
				comments+='<li class="comments-list m-b-sm">';
								comments+="<a href='javascript:void(0);' onclick='displayPublicProfile("+data.user_id+",\""+data.profile_img_medium+"\",\""+data.cover_photo+"\","+data.user_login_type+",\""+data.name+"\",\""+data.professional_headline+"\",\""+data.ethinicity_country_code+"\");'>";
								
								comments+='<img src="'+generateUserImg(data.profile_img_small,data.user_login_type,30,30)+'" width="30px" onerror="loadingImageError(this)">\
								</a>\
							<span class="name">';
								comments+="<a href='javascript:void(0);' onclick='displayPublicProfile("+data.user_id+",\""+data.profile_img_medium+"\",\""+data.cover_photo+"\","+data.user_login_type+",\""+data.name+"\",\""+data.professional_headline+"\",\""+data.ethinicity_country_code+"\");'>"+data.name+"</a>";
								
								comments+='<div class="panel-tools">\
									<a title="Edit or Delete this" data-toggle="dropdown" class=" dropdown-toggle"><i class="fa fa-angle-down fa-lg"></i></a>\
									<ul class="dropdown-menu pull-right">\
										<li><a href="javascript:void(0);" onclick="editPostComments(this,'+data.id+','+data.post_id+','+data.type+');"><i class="fa fa-pencil"></i> Edit</a></li>\
										<li><a href="javascript:void(0);" onclick="deletePostComments(this,'+data.id+','+data.post_id+','+data.type+');"><i class="fa fa-times"></i> Delete</a></li>\
									</ul>\
								</div>\
								<span class="m-r-xs pull-right post-time">'+convertPostDateFormat(data.date.replace(/-/g, "/"))+'</span>\
							</span>\
							<span class="comments-text">'+data.comments+'</span>\
							<div class="edit-comments-text"></div>\
						</li>';
				if(isWeb()){
					if($(btn).parent().parent().parent().next().html() == ''){
						$(btn).parent().parent().parent().next().append(comments);
					}
					else{
						$(btn).parent().parent().parent().next().find("li:first-child").before(comments);
					}
				}
				else{
					if($(btn).parent().parent().parent().find(".all-comments").html() == ''){
						$(btn).parent().parent().parent().find(".all-comments").append(comments);
					}
					else{
						$(btn).parent().parent().parent().find(".comments-list:first-child").before(comments);
					}
				}
				sendNotifications(data,"postComments");
			}
		}
	});
}

function sendNotifications(data,notification_type){
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'sendNotifications',
		data		:{data:data,notification_type:notification_type},
		dataType	:'json',
		success     : function(data){
		}
	});
}

$(document).on('keyup','textarea[name=comments],textarea[name=edit-comments]',function(){
	var autoHeight = $(this);
	if($(this).val() != ''){
		$(this).next().find("button").prop('disabled',false);
		if(this.scrollHeight >= 44){
			autoHeight.height(10);
			autoHeight.height(this.scrollHeight - 10);
		}
	}
	else{
		$(this).next().find("button").prop('disabled',true);
		autoHeight.height('');
	}
});

function showComments(btn,type,post_id,btnType,cmt_id,cmtType){
	var commentsModal = '';
	commentsModal+=' <div id="myModal" class="commentsModal">\
						<div class="comments-modal-content">\
							<a class="close-btn" href="javascript:void(0);" onclick="closeComments();"><i class="fa fa-chevron-left"></i></a>\
							<span class="notification-switch"></span>\
							<div class="input-group comment-input m-t-sm">\
								<textarea type="text" rows="1" class="form-control" name="comments" placeholder="Write a comment..."></textarea>\
								<span class="input-group-btn">\
									<button type="button" class="btn btn-info btn-sm" onclick="saveComments(this,'+type+','+post_id+');" disabled><img src="'+appObj.siteUrl+'assets/images/comments-send.png"></button>\
								</span>\
							</div>\
							<div class="status">\
								<ul class="comments m-b-none no-borders">\
									<div class="all-comments"></div>\
									<div class="view-comments"></div>\
								</ul>\
							</div>\
						</div>\
					</div><div class="modal-backdrop"></div>';
	$("body").append(commentsModal);		
	$('.comments-modal-content').slimScroll({
		distance:"-1px",
		height: '100%',
		alwaysVisible: false,
	});
	displayPost(post_id,type,cmt_id,cmtType);
	$('.modal-backdrop').css({
		position: 'absolute', 
		top: 0, 
		left: 0,
		opacity:0.5,
		width: '100%',
		height: Math.max(document.body.scrollHeight, document.documentElement.scrollHeight) + 'px'
	});
	if(btnType == 0){
		$("textarea[name=comments]").focus();
	}
}

function closeComments(){
	$(".commentsModal, .modal-backdrop").remove();	
}

function displayPost(post_id,type,cmt_id,cmtType){
	if(cmtType != 0){
		$(".comments-fixed").append('<img class="post-loader" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
	}
	var post = '';
	var pics = '';
	pics = [];
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'getCommentsPost',
		data		:{post_id:post_id,type:type},
		dataType	:'json',
		success     : function(data){
			$(".post-loader").remove();
			commentsObj.commentsCount = data.comments_count;
			if(cmtType != 0){
				var img_path = ''; 
				if(type == 1){
					img_path = appObj.baseUrl+'assets/images/post/';
				}
				else if(type == 2){
					img_path = appObj.baseUrl+'assets/images/groups/groups-post/';
				}
				else if(type == 3){
					img_path = appObj.baseUrl+'assets/images/pages/pages-post/';
				}
				var str = data.post_text;
				var regex = /(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig;
				var replaced_text = str.replace(regex, "<a class='btn-link' url='$1' onclick='openlink(this);' target='_blank' style='color:#3b5998;'>$1</a>");
				
				if(data.description != ''){
					var shortDesc = data.description.substring(0,200)+ '...';
				}
				post+='<div class="panel panel-default m-b-none">\
						<div class="panel-body status">\
							<div class="who clearfix">\
								<a href="javascript:void(0);">\
									<img src="'+generateUserImg(data.profile_img_small,data.user_login_type,40,40)+'" style="width:40px;" alt="img" class="online" onerror="loadingImageError(this)">\
								</a>\
									<span class="name">';
										post+="<b><a href='javascript:void(0);' onclick='displayPublicProfile("+data.user_id+",\""+data.profile_img_medium+"\",\""+data.cover_photo+"\","+data.user_login_type+",\""+data.name+"\",\""+data.professional_headline+"\",\""+data.ethinicity_country_code+"\");'>"+data.name+"</a></b>";
										if(data.ethinicity_country_code != ''){
											var ethinicity_flag = data.ethinicity_country_code.split(',');
											ethinicity_flag.forEach(function(item){
												post+='<img class="post-flag m-l-xs" src="assets/images/country-flags/16x16/'+item+'.png">';
											});
										}
										if(data.share == 1 && data.post_type == 0){
											post+=' shared a post';
										}
										else if(data.share == 1 && data.post_type == 1){
											post+=' shared a job';
										}
										else if(data.share == 1 && data.post_type == 2){
											post+=' shared a event';
										}
										else if(data.share == 1 && data.post_type == 3){
											post+=' shared a course';
										}
										else if(data.share == 1 && data.post_type == 4){
											post+=' shared a news';
										}
										
										post+='<span class="m-r-xs pull-right post-time">'+convertPostDateFormat(data.created_date.replace(/-/g, "/"))+'</span>\
									</span>\
								<span class="post-professional text-muted">'+data.professional_headline+'</span>\
							</div>\
							<div class="text">';
								if(data.share == 0 || data.post_type == 0){
									if(data.post_text !=''){
										post+='<p>'+replaced_text+'</p>';
									}
									if(data.post_img != ''){
										var img = data.post_img.split(',');
										post+='<div class="gallery"></div>';
										img.forEach(function(item,index){
											pics[index] = img_path+''+item;
										});
									}
									//Meta Tag
									if(data.meta_tag_title != ''){
										post+= '<div class="meta-tag-block metaTag'+data.id+'" id="metaTag'+data.id+'">\
											<a href="'+data.post_text+'" target="_blank">';
												if(data.meta_tag_img != ''){
													post+='<img src="'+data.meta_tag_img+'" class="img-responsive center-block">';
												}
												var meta_tag_title = data.meta_tag_title.substring(0,40) + "...";
												post+= '<h4>'+meta_tag_title+'</h4>';
												if(data.meta_tag_desc != ''){
													var meta_tag_desc = data.meta_tag_desc.substring(0,60) + "...";
													post+= '<div class="description">'+meta_tag_desc+'</div>';
												}
											post+= '</a>\
										</div>';
									}
								}
								else{
									post+='<div class="share-text-block">\
										<a href="javascript:void(0);" url="'+data.link+'" onclick="openlink(this);">';
											if(data.post_img != ''){
												var img = data.post_img.split(',');
												img.forEach(function(item,index){
													post+= '<img class="img-responsive center-block" src="'+img_path+''+item+'">';
												});
											}
											post+='<div class="p-xxs">';
												if(data.post_text !=''){
													post+='<p>'+replaced_text+'</p>';
												}
												if(data.description != ''){
													post+= '<div class="description">'+shortDesc+'</div>';
												}
											post+='</div>\
										</a>\
									</div>';
								}
								
								if(data.share == 1 && data.post_type == 0){
									if(data.description != ''){
										post+= '<div class="description">'+shortDesc+'</div>';
									}
								}
								
								if(data.comments_count != 0){
									if(data.comments_count == 1){
										post+='<span class="commentsCount">'+data.comments_count+' comment</span>';
									}
									else{
										post+='<span class="commentsCount">'+data.comments_count+' comments</span>';
									}
								}
							post+='</div>\
						</div>\
					</div>';
				$(".post").empty().append(post);
				$('.gallery').imagesGrid({
					images: pics,
					align: true,
					getViewAllText: function(imgsCount){
						return '+' + (imgsCount - 5);
					}
				});
				//Meta Tag
				var img = new Image();
				img.onload = function(){
					if(this.width < 400 || this.height < 400){
						$('.metaTag'+data.id).addClass("small-image");
					}
				}
				img.src = data.meta_tag_img;
			}
			displayComments(0,type,post_id,cmt_id);
			if(data.current_user_id == data.user_id){
				getPostNotification(post_id,type,data.user_id);
			}
		}
	});
}

function getPostNotification(post_id,type,user_id){
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'getPostNotification',
		data		:{post_id:post_id,type:type,user_id:user_id},
		dataType	:'json',
		success     : function(data){
			$(".notification-switch").empty().append('<label class="toggle">\
														<input type="checkbox" name="notification-switch" post_id='+post_id+' post_type='+type+' checked="checked" value="1">\
														<i data-swchon-text="ON" data-swchoff-text="OFF" rel="tooltip" data-original-title="Notification ON/OFF this post"></i>\
													</label>');
			if(data){
				if(data.status == 0){
					$("input[name=notification-switch]:checked").prop('checked',false);
				}
			}
			$('.notification-switch .toggle i').tooltip({placement: 'left',trigger: 'manual'}).tooltip('show');
		}
	});
}

$(document).on("change","input[name=notification-switch]",function(){
	var status = $("input[name=notification-switch]:checked").val();
	var post_id = $("input[name=notification-switch]").attr("post_id");
	var type = $("input[name=notification-switch]").attr("post_type");
	if(!status){
		status = 0;
	}
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'savePostNotification',
		data		:{status:status,post_id:post_id,type:type},
		dataType	:'json',
	});
});

var commentsObj = {
	commentsLoaded : 0,
	commentsToLoad	:5,
	commentsCount : 0,
};

function displayComments(viewType,type,post_id,cmt_id){
	if(viewType == 0){
		commentsObj.commentsLoaded = 0;
		$(".commentsModal .all-comments").append('<img class="post-loader" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
	}
	var viewComments = '';
	if(viewType == 0 && commentsObj.commentsCount > 5){
		viewComments+='<a href="javascript:void(0);" onclick="viewPreviousComments('+type+','+post_id+');">View previous comments</a> <span class="view-comments-loader"></span>';
	}
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'getAllComments',
		data		:{commentsObj:commentsObj,type:type,post_id:post_id,cmt_id:cmt_id},
		dataType	:'json',
		success     : function(data){
			$(".comments-loader").remove();
			var comments = '';
			if(data.fields.length < 5){
				$(".view-comments").empty();
			}
			$.each(data.fields,function(index,fields){
				comments+='<li class="comments-list m-b-sm">';
								comments+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.user_id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>";
								
								comments+='<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,30,30)+'" width="30px" onerror="loadingImageError(this)">\
								</a>\
								<span class="name">';
									comments+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.user_id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>"+fields.name+"</a>";
									
								if(fields.current_user_id == fields.user_id){
									comments+='<div class="panel-tools">\
										<a title="Edit or Delete this" data-toggle="dropdown" class=" dropdown-toggle"><i class="fa fa-angle-down fa-lg"></i></a>\
										<ul class="dropdown-menu pull-right">\
											<li><a href="javascript:void(0);" onclick="editPostComments(this,'+fields.id+','+fields.post_id+','+fields.type+');"><i class="fa fa-pencil"></i> Edit</a></li>\
											<li><a href="javascript:void(0); " onclick="deletePostComments(this,'+fields.id+','+fields.post_id+','+fields.type+');"><i class="fa fa-times"></i> Delete</a></li>\
										</ul>\
									</div>';
								}
								comments+='<span class="m-r-xs pull-right post-time">'+convertPostDateFormat(fields.date.replace(/-/g, "/"))+'</span>';
								comments+='</span>\
								<span class="comments-text">'+fields.comments+'</span>\
								<div class="edit-comments-text"></div>\
							</li>';
				commentsObj.commentsLoaded = commentsObj.commentsLoaded + 1;
			});
			if(viewType == 0){
				$(".commentsModal .all-comments").empty().append(comments);
			}
			else{
				$(".commentsModal .comments-list:last-child").after(comments);
			}
			$(".view-comments").append(viewComments);
		}
	});
}

function viewPreviousComments(type,post_id){
	$(".view-comments-loader").append('<img class="comments-loader" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
	displayComments(1,type,post_id,'');
}

function hideCommentsModal(){
	bootbox.hideAll();
	$("body.ios-app").removeClass("comments-modal");
}

function editPostComments(btn,cmdId,postId,type){
	$.ajax({
		type		:'POST',
		url         : appObj.siteUserControllerUrl+'editPostComments',
		dataType	:'json',
		data		:{cmdId:cmdId,postId:postId,type:type},
		success     : function(data){
			$(btn).parentsUntil(".all-comments").find(".comments-text").hide();
			$(btn).parentsUntil(".all-comments").find(".edit-comments-text").show();
			var editComments = '';
			var comments = data.comments.replace(/<br ?\/?>/g, "");
			editComments+='<div class="input-group">\
							<textarea type="text" rows="1" class="form-control edit-comments" name="edit-comments" placeholder="Write a comment..." value="'+comments+'">'+comments+'</textarea>\
							<span class="input-group-btn">\
								<button type="button" class="btn btn-info btn-sm" onclick="updatePostComments(this,'+cmdId+','+postId+','+type+');" >Save</button>\
							</span>\
						</div>\
						<small><a href="javascript:void(0);" class="btn-link" onclick="cancelEditPostComments(this);">Cancel</a></small>';
			$(btn).parentsUntil(".all-comments").find(".edit-comments-text").empty().append(editComments);
		}
	});
}

function cancelEditPostComments(btn){
	$(btn).parentsUntil(".all-comments").find(".edit-comments-text").hide();
	$(btn).parentsUntil(".all-comments").find(".comments-text").show();
}

function updatePostComments(btn,cmdId,postId,type){
	var comments = $(btn).parent().prev().val();
	$.ajax({
		type		:'POST',
		url     	: appObj.siteUserControllerUrl+'updatePostComments',
		data 		: {cmdId:cmdId,postId:postId,type:type,comments:comments},
		success 	: function(data){
			if(data == 1){
				$(btn).parentsUntil(".all-comments").find(".edit-comments-text").hide();
				$(btn).parentsUntil(".all-comments").find(".comments-text").show();
				$(btn).parentsUntil(".all-comments").find(".comments-text").empty().append(comments);
			}
		}
	});
}

function deletePostComments(btn,cmdId,postId,type){
	$.ajax({
		type		:'POST',
		url     	: appObj.siteUserControllerUrl+'deletePostComments',
		data 		: {cmdId:cmdId,postId:postId,type:type},
		success 	: function(data){
			if(data == 1){
				$(btn).parentsUntil(".all-comments").remove();
			}
		}
	});
}

//Likes
function saveLikes(btn,type,post_id){
	if($(btn).hasClass("post-like")){
		$(btn).prev().parent().addClass("post-likes");
		$(btn).removeClass("post-like").addClass("post-unlike");
		$(btn).prev().addClass("likes-zoom");
		setTimeout (function(){
			$(btn).prev().removeClass("likes-zoom");
		},500);
		
		var likesCount = parseInt($(btn).attr("likes_count")) + 1 || 0;
		$(btn).attr("likes_count",likesCount);
		if(isWeb()){
			$(btn).parent().parent().find(".likes-count").html('<a href="javascript:void(0);" class="btn-link pull-right"><i class="fa fa-thumbs-up"></i> '+likesCount+'</a>');
		}
		else{
			if(likesCount != 0){
				if(likesCount == 1){
					$(btn).parent().parent().parent().find(".likes-count").html('<a href="javascript:void(0);" onclick="showLikes(this,'+type+','+post_id+','+likesCount+');" class="p-xxs">'+likesCount+' like</a>');
				}
				else{
					$(btn).parent().parent().parent().find(".likes-count").html('<a href="javascript:void(0);" onclick="showLikes(this,'+type+','+post_id+','+likesCount+');" class="p-xxs">'+likesCount+' likes</a>');
				}
			}
		}
		$.ajax({
			type		:'POST'	,
			url         : appObj.siteUserControllerUrl+'saveLikes',
			data		:{type:type,post_id:post_id,likeType:1},
			dataType	:'json',
			success 	: function(data){
				if(data){
					sendNotifications(data,"postLikes");
				}
			}
		});
	}
	else{
		$(btn).prev().parent().removeClass("post-likes");
		$(btn).removeClass("post-unlike").addClass("post-like");
		var likesCount = parseInt($(btn).attr("likes_count"));
		if(likesCount != 0){
			likesCount = likesCount - 1;
		}
		$(btn).attr("likes_count",likesCount);
		if(likesCount == 0){
			$(btn).parent().parent().parent().find(".likes-count").empty();
		}
		else if(likesCount == 1){
			$(btn).parent().parent().parent().find(".likes-count").html('<a href="javascript:void(0);" onclick="showLikes(this,'+type+','+post_id+','+likesCount+');" class="p-xxs">'+likesCount+' like</a>');
		}
		else{
			$(btn).parent().parent().parent().find(".likes-count").html('<a href="javascript:void(0);" onclick="showLikes(this,'+type+','+post_id+','+likesCount+');" class="p-xxs">'+likesCount+' likes</a>');
		}
		$.ajax({
			type		:'POST'	,
			url         : appObj.siteUserControllerUrl+'saveLikes',
			data		:{type:type,post_id:post_id,likeType:2},
			dataType	:'json',
		});
	}
}

function showLikes(btn,type,post_id,likes_count){
	var likesTitle = '<h5><a href="javascript:void(0);" onclick="hideCommentsModal();"><i class="fa fa-chevron-left"></i></a>\
					<span class="pull-right"><b><i class="pe-7s-like2 pe-lg pe-va"></i> '+likes_count+'</b></span></h5>';
	var likesModal = '';
	likesModal+='<ul class="all-likes"></ul>';
	likesModal+='<div class="load-more-link"></div>';
	bootbox.dialog({
		title		: likesTitle,
		message		: likesModal,
		'animate' 	: false,
		closeButton	: false,
		'backdrop'	: false,
		className	: "likesModal"
	});
	displayLikes(0,type,post_id,likes_count);
	$(".likesModal .modal-body").height($(window).height() - 68);
}

var likesObj = {
	likesLoaded : 0,
	likesToLoad : 10,
};

function displayLikes(viewType,type,post_id,likes_count){
	if(viewType == 0){
		$(".likesModal .all-likes").append('<img class="post-loader" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
		likesObj.likesLoaded = 0;
	}
	else{
		$(".see-likes-loader").append('<img class="comments-loader" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
	}
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'getAllLikes',
		data		:{likesObj:likesObj,type:type,post_id:post_id},
		dataType	:'json',
		success     : function(data){
			if(viewType == 0){
				$(".likesModal .all-likes").empty();
			}
			else{
				$(".likesModal .more-likes").empty();
			}
			var allLikes = '';
			$.each(data.fields,function(index,fields){
				allLikes+='<li class="m-b-sm">';
							allLikes+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.user_id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>";
							
							allLikes+='<img class="m-r-sm" src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,30,30)+'" width="30px" onerror="loadingImageError(this)">\
							</a>\
							<span class="name">';
								allLikes+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.user_id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>"+fields.name+"</a>";
							allLikes+='</span>\
						</li>';
				likesObj.likesLoaded = likesObj.likesLoaded + 1;
			});
			if(likes_count > 10){
				$(".load-more-link").empty().append('<div class="more-likes"><a href="javascript:void(0);" onclick="seeMoreLikes('+type+','+post_id+','+likes_count+');" class="btn-link text-center">Load More</a> <span class="see-likes-loader"></span></div>');
			}
			$(".likesModal .all-likes").append(allLikes);
			if(likes_count == $(".all-likes li").length || data.fields.length < 10){
				$(".more-likes").empty();
			}
		}
	});
}

function seeMoreLikes(type,post_id,likes_count){
	displayLikes(1,type,post_id,likes_count);
}

function leftNavigationMenu(name,profile_img_medium,user_login_type,professional_headline){
	var leftNavigationMenu ='';
	leftNavigationMenu+="<aside id='menu' style='display:none;'>\
							<div id='navigation' >\
								<div class='profile-picture-nav'></div>\
								<ul class='nav' id='side-menu'>\
									<li>\
										<a href='javascript:void(0);' onclick='checkLogin(\"#page=profile\");' class='no-borders p-xxs'>\
											<div class='menu-user-img'>\
												<img src='"+generateUserImg(profile_img_medium,user_login_type,40,40)+"' width='40' height='40'/>\
											</div>\
											<div class='detail'>\
												<h6 class='no-padding'>"+name+"</h6>\
												<span>"+professional_headline+"</span>\
											</div>\
										</a>\
									</li>\
									<li class='title'>\
										<h6>COMMUNITY</h6>\
									</li>\
									<li>\
										<a href='javascript:void(0);' onclick='checkLogin(\"#page=socialwall\");'><i class='pe-7s-news-paper'></i><span class='nav-label left-nav-social-wall'>Social Wall</span><span class='fa fa-lg arrow'></span></a>\
									</li>\
									<li>\
										<a href='javascript:void(0);' onclick='checkLogin(\"#page=request\");' ><i class='pe-7s-add-user'></i><span class='nav-label left-nav-connection'>Connections </span><span class='fa fa-lg arrow'></span></a>\
									</li>\
									<li>\
										<a href='javascript:void(0);' onclick='checkLogin(\"#page=myGroups\");'><i class='pe-7s-users'></i><span class='nav-label left-nav-groups'>Groups</span><span class='fa fa-lg arrow'></span></a>\
									</li>\
									<li>\
										<a href='javascript:void(0);' onclick='checkLogin(\"#page=events\");'><i class='pe-7s-date'></i><span class='nav-label left-nav-events'>Events</span><span class='fa fa-lg arrow'></span></a>\
									</li>\
									<li>\
										<a href='javascript:void(0);' onclick='checkLogin(\"#page=myPages\");'> <i class='pe-7s-flag'></i><span class='nav-label left-nav-my-page'>Pages</span><span class='fa fa-lg arrow'></span></a>\
									</li>\
									<li>\
										<a href='javascript:void(0);' class='no-borders' onclick='checkLogin(\"#page=blog\");'><i class='pe-7s-note'></i><span class='nav-label left-nav-blog'>Blog</span><span class='fa fa-lg arrow'></span></a>\
									</li>\
									<li class='title'>\
										<h6 class='m-t-sm'>CAREER</h6>\
									</li>\
									<li>\
										<a href='javascript:void(0);' onclick='checkLogin(\"#page=jobs\");'><i class='pe-7s-portfolio'></i><span class='nav-label left-nav-my-jobs'>Jobs</span><span class='fa fa-lg arrow'></span></a>\
									</li>\
									<li>\
										<a href='javascript:void(0);' onclick='checkLogin(\"#page=mymentors\");'><i class='pe-7s-add-user'></i><span class='nav-label'>Mentorship </span><span class='fa fa-lg arrow'></span></a>\
									</li>\
									<li>\
										<a href='javascript:void(0);' class='no-borders' onclick='checkLogin(\"#page=CareerDevelopment\");'><i class='pe-7s-notebook'></i><span class='nav-label left-nav-trainings'>Training</span><span class='fa fa-lg arrow'></span></a>\
									</li>\
									<li class='title'>\
										<h6 class='m-t-sm left-nav-about'>ABOUT</h6>\
									</li>\
									<li>\
										<a href='#page=privacy'><i class='pe-7s-info'></i><span class='nav-label left-nav-privacy-policy'>Privacy Policy</span><span class='fa fa-lg arrow'></span></a>\
									</li>\
									<li>\
										<a href='#page=terms'><i class='pe-7s-attention'></i><span class='nav-label left-nav-terms-of-service'>Terms of Service</span><span class='fa fa-lg arrow'></span></a>\
									</li>\
									<li>\
										<a href='#page=contact'><i class='pe-7s-call'></i><span class='nav-label'>Contact</span><span class='fa fa-lg arrow'></span></a>\
									</li>\
									<li>\
										<a href='#page=feedback'><i class='pe-7s-mail'></i><span class='nav-label left-nav-feedback'>Feedback</span><span class='fa fa-lg arrow'></span></a>\
									</li>";
									if(isMobileApp()){
										leftNavigationMenu+= "<li>\
											<a href='javascript:void(0);' onclick='rateUsApp(this);' url='https://latinc.us/app/download/'><i class='pe-7s-star'></i><span class='nav-label'> Rate us <span class='fa fa-lg arrow'></span></span></a>\
										</li>";
									}
									leftNavigationMenu+= "<li>\
										<a href='javascript:void(0);' onclick='logout();'><i class='pe-7s-power'></i><span class='nav-label'> Logout</span><span class='fa fa-lg arrow'></span></a>\
									</li>\
								</ul>\
							</div>\
						</aside>";
	$("#navigation-menu").empty().append(leftNavigationMenu);
}

$(document).on('click','.hide-menu',function(){
	$("body").addClass("show-menu");
	$('#header').removeClass('nav-up').addClass('nav-down');
});

$(document).on('click','#side-menu li a',function(){
	$("body").removeClass("show-menu");
});

// Hide Header on scroll down
var didScroll;
var lastScrollTop = 0;

document.addEventListener("scroll", hasScrolled, false);

function hasScrolled() {
    var st = $(this).scrollTop();
	var navbarHeight = $('#header').outerHeight();
    if (st > lastScrollTop && st > navbarHeight){
        // Scroll Down
		if(appObj.pageName != "messages"){
			$('#header').removeClass('nav-down').addClass('nav-up');
		}
    } 
	else {
        // Scroll Up
        if(st + $(window).height() < $(document).height()) {
			$('#header').removeClass('nav-up').addClass('nav-down');
        }
    }
    lastScrollTop = st;
}


//Groups Pending Posts Popup
function showGroupsPendingPosts(GroupId,post_id){
	var pendingPostsModal = '';
		pendingPostsModal += '<div class="" id="commonModal">\
							<div class="common-modal-content no-padding">\
								<h5 class="p-xs"><a href="javascript:void(0);" onclick="closeCommonModal();"><i class="fa fa-chevron-left"></i></a> </h5>\
								<div class="pending-posts"></div>\
							</div>\
						</div>';
	$("body").append(pendingPostsModal);
	$("body").addClass("body-disabled");
	displayGroupsPendingPosts(GroupId,post_id);
	$(".pending-posts").height($(window).height() - 48);
}

function displayGroupsPendingPosts(GroupId,post_id){
	$(".pending-posts").append('<img class="post-loader center-block" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
	var pics = '';
	pics = [];
	$.ajax({
		type		:'POST',
		url			:appObj.siteUserControllerUrl+'getAllPendingPosts',
		data		:{GroupId:GroupId,post_id:post_id,singlePendingPost:'singlePendingPost'},
		dataType	:'json',
		success		:function(data){
			var pendingPosts = '';
			var str = data.post_text;
			var regex = /(https?:\/\/([-\w\.]+)+(:\d+)?(\/([\w\/_\.]*(\?\S+)?)?)?)/ig
			var replaced_text = str.replace(regex, "<a class='btn-link' href='$1' target='_blank' style='color:#3b5998;'>$1</a>");
			pendingPosts+='<div id="pendingPostBlock'+data.id+'">\
								<div class="panel panel-default m-b-sm">\
									<div class="panel-body status">\
										<div class="who clearfix">\
											<a href="javascript:void(0);">\
												<img src="'+generateUserImg(data.profile_img_small,data.user_login_type,40,40)+'" style="width:40px;" alt="img" class="online" onerror="loadingImageError(this)">\
											</a>\
											<span class="name"><b><a href="javascript:void(0);" onclick="getPublicProfileDetails('+data.user_id+')">'+data.name+'</a></b></span>\
											'+timeSince(data.created_date,data.current_date_time)+'\
										</div>\
										<div class="text">';
											if(data.post_text !=''){
												pendingPosts+='<p style="white-space: pre-wrap;">'+replaced_text+'</p>';
											}
											if(data.post_img != ''){
												var img = data.post_img.split(',');
												pendingPosts+='<div class="pending-gallery"></div>';
												img.forEach(function(item,index){
													pics[index] = appObj.baseUrl+'assets/images/groups/groups-post/'+item;
												});
											}
										pendingPosts+='</div>\
										<div class="p-xxs">\
											<button type="button" postId='+data.id+' groupId='+data.group_id+' onclick="savePostApproval(this);" class="btn btn-default btn-sm">Approve</button>\
											<button type="button" postId='+data.id+' groupId='+data.group_id+' onclick="deletePostApproval(this);" class="btn btn-default btn-sm">Delete</button>\
										</div>\
									</div>\
								</div>\
							</div>';
					$(".pending-posts").empty().append(pendingPosts);
					$('.pending-gallery').imagesGrid({
						images: pics,
						align: true,
						getViewAllText: function(imgsCount){
							return '+' + (imgsCount - 5);
						}
					});
		}
	});
}

function savePostApproval(data){
	var postId = $(data).attr("postId");
	var GroupId = $(data).attr("groupId");
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'savePostApproval',
		data		:{GroupId:GroupId,postId:postId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				$('#pendingPostBlock'+postId).empty().append('<div class="hpanel"><div class="panel-body">This post was approved and published to the group.</div></div>');
			}
		}
	});
}

function deletePostApproval(data){
	var postId = $(data).attr("postId");
	var GroupId = $(data).attr("groupId");
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'deletePostApproval',
		data		:{GroupId:GroupId,postId:postId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				$('#pendingPostBlock'+postId).empty().append('<div class="hpanel"><div class="panel-body">This post was deleted.</div></div>');
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

//Groups Reported Posts Popup
function showGroupsReportedPosts(GroupId,post_id){
	var reportedPostsModal = '';
		reportedPostsModal += '<div class="" id="commonModal">\
								<div class="common-modal-content no-padding">\
									<h5 class="p-xs"><a href="javascript:void(0);" onclick="closeCommonModal();"><i class="fa fa-chevron-left"></i></a> </h5>\
									<div class="report-posts"></div>\
								</div>\
							</div>';
	$("body").append(reportedPostsModal);
	$("body").addClass("body-disabled");
	displayGroupsReportedPosts(GroupId,post_id);
	$(".commentsModal .report-posts").height($(window).height() - 48);
}

function displayGroupsReportedPosts(GroupId,post_id){
	$(".report-posts").append('<img class="post-loader center-block" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
	var pics = '';
	pics = [];
	$.ajax({
		type		:'POST',
		url			:appObj.siteUserControllerUrl+'getAllPendingPosts',
		data		:{GroupId:GroupId,post_id:post_id,singlePendingPost:'singlePendingPost'},
		dataType	:'json',
		success		:function(data){
			var reportPosts = '';
			var str = data.post_text;
			var regex = /(https?:\/\/([-\w\.]+)+(:\d+)?(\/([\w\/_\.]*(\?\S+)?)?)?)/ig
			var replaced_text = str.replace(regex, "<a class='btn-link' href='$1' target='_blank' style='color:#3b5998;'>$1</a>");
			if(data.report_admin == 0){
				reportPosts+='<div id="reportPostBlock'+data.id+'">\
							<div class="panel panel-default m-b-sm">\
								<div class="panel-body status">\
									<div class="who clearfix">\
										<a href="javascript:void(0);">\
											<img src="'+generateUserImg(data.profile_img_small,data.user_login_type,40,40)+'" style="width:40px;" alt="img" class="online" onerror="loadingImageError(this)">\
										</a>\
										<span class="name"><b><a href="javascript:void(0);" onclick="getPublicProfileDetails('+data.user_id+')">'+data.name+'</a></b></span>\
										'+timeSince(data.created_date,data.current_date_time)+'\
									</div>\
									<div class="text">';
										if(data.post_text !=''){
											reportPosts+='<p style="white-space: pre-wrap;">'+replaced_text+'</p>';
										}
										if(data.post_img != ''){
											var img = data.post_img.split(',');
											reportPosts+='<div class="report-gallery"></div>';
											img.forEach(function(item,index){
												pics[index] = appObj.baseUrl+'assets/images/groups/groups-post/'+item;
											});
										}
									reportPosts+='</div>\
									<div class="p-xxs">\
										<button type="button" postId='+data.id+' groupId='+data.group_id+' onclick="saveKeepPost(this);" class="btn btn-default btn-sm">Keep</button>\
										<button type="button" postId='+data.id+' groupId='+data.group_id+' onclick="deletePostReport(this);" class="btn btn-default btn-sm">Delete</button>\
									</div>\
								</div>\
							</div>\
						</div>';
				$(".report-posts").empty().append(reportPosts);
				$('.report-gallery').imagesGrid({
					images: pics,
					align: true,
					getViewAllText: function(imgsCount){
						return '+' + (imgsCount - 5);
					}
				});
			}
		}
	});
}

function saveKeepPost(data){
	var postId = $(data).attr("postId");
	var GroupId = $(data).attr("groupId");
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'saveKeepPost',
		data		:{GroupId:GroupId,postId:postId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				$('#reportPostBlock'+postId).empty().append('<div class="hpanel"><div class="panel-body">This post was approved.</div></div>');
			}
		}
	});
}

function deletePostReport(data){
	var postId = $(data).attr("postId");
	var GroupId = $(data).attr("groupId");
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'deletePostReport',
		data		:{GroupId:GroupId,postId:postId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				$('#reportPostBlock'+postId).empty().append('<div class="hpanel"><div class="panel-body">This post was deleted.</div></div>');
			}
		}
	});
	$(".bootbox-confirm").addClass("group-modal");
}

//Groups Member Approval Popup
function showGroupsMembersApproval(GroupId,user_id){
	var membersApprovalModal = '';
		membersApprovalModal += '<div class="" id="commonModal">\
								<div class="common-modal-content no-padding">\
									<h5 class="p-xs"><a href="javascript:void(0);" onclick="closeCommonModal();"><i class="fa fa-chevron-left"></i></a> </h5>\
									<div class="members-approval"></div>\
								</div>\
							</div>';
	$("body").append(membersApprovalModal);
	$("body").addClass("body-disabled");
	displayGroupsMembersApproval(GroupId,user_id);
	$(".commentsModal .members-approval").height($(window).height() - 48);
}

function displayGroupsMembersApproval(GroupId,user_id){
	$(".members-approval").append('<img class="post-loader center-block" src="'+appObj.siteUrl+'assets/images/comments-loader.gif">');
	$.ajax({
		type		:'POST',
		url			:appObj.siteUserControllerUrl+'getAllMemberRequests',
		data		:{GroupId:GroupId,user_id:user_id,singleMember:'singleMember'},
		dataType	:'json',
		success		:function(data){
			var memberRequests = '';
			$.each(data.fields,function(index,fields){
				memberRequests+='<div id="memberApprovalBlock'+fields.user_id+'">\
									<div class="panel-default">\
										<div class="panel-body status p-xxs">\
											<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'" alt="Img" style="width:40px;" class="pull-left m-r-xs" onerror="loadingImageError(this)">\
											<div style="overflow: hidden;">\
												<a href="javascript:void(0);"><b>'+fields.name+'</b></a>\
												<span class="text-muted"> - Added by '+fields.added_by+'</span>\
												<p>Joined Latinc ';
												memberRequests+='</p>';
												if(fields.professional_headline){
													memberRequests+='<div><i class="fa fa-briefcase"></i> '+fields.professional_headline+'</div>';
												}
												if(fields.living_city_name != null){
													memberRequests+='<div><i class="fa fa-map-marker"></i> '+fields.living_city_name+'</div>';
												}
											memberRequests+='</div>\
											<button type="button" memberId='+fields.user_id+' groupId='+fields.group_id+' onclick="saveMemberApproval(this);" class="btn btn-default btn-sm m-t-sm">Approve</button>\
											<button type="button" memberId='+fields.user_id+' groupId='+fields.group_id+' onclick="declineMemberApproval(this);" class="btn btn-default btn-sm m-t-sm">Ignore</button>\
										</div>\
									</div>\
								</div>';
			});
			$(".members-approval").empty().append(memberRequests);
		}
	});
}

function saveMemberApproval(data){
	var memberId = $(data).attr("memberId");
	var GroupId = $(data).attr("groupId");
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'saveMemberApproval',
		data		:{GroupId:GroupId,memberId:memberId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				$('#memberApprovalBlock'+memberId).empty().append('<div class="hpanel"><div class="panel-body">Added to the group</div></div>');
			}
		}
	});
}

function declineMemberApproval(data){
	var memberId = $(data).attr("memberId");
	var GroupId = $(data).attr("groupId");
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'declineMemberApproval',
		data		:{GroupId:GroupId,memberId:memberId},
		dataType	:'json',
		success     : function(data){
			if(data == 1){
				$('#memberApprovalBlock'+memberId).empty().append('<div class="hpanel"><div class="panel-body">Ignored</div></div>');
			}
		}
	});
}

function showHeadMessages(user_id){
	$.ajax({
		type		:'POST'	,
		url         : appObj.siteUserControllerUrl+'getUserHeadMessages',
		data		:{user_id:user_id},
		dataType	:'json',
		success     : function(data){
			var defaultMsg = '';
			var msgcount = 0;
			if($(".head-msg").length == 0){
				msgcount = 1;
			}
			else{
				msgcount = $(".head-msg").length + 1;
			}
			defaultMsg+='<a class="head-msg btn-link" href="javascript:void(0);" onclick="listMessages('+user_id+');" userName="'+data.name+'" >\
							<div class="head-msg-block">\
								<img src="'+generateUserImg(data.profile_img_small,data.user_login_type,50,50)+'" alt="Img" width="50">\
								<span class="label label-danger">'+msgcount+'</span>\
							</div>\
						</a>'
			$("#content").append(defaultMsg);
		}
	});
}

// Share Modal
function shareModal(details){
	$(".share-options, .share-backdrop").remove();
	var type = $(details).attr("type");
	var id = $(details).attr("id");
	var postText = $(details).attr("postText");
	var postImage = $(details).attr("postImage");
	var postLink = $(details).attr("postLink");
	var imageLink = $(details).attr("imageLink");
	
	var metaTagTitle = $(details).attr("metaTagTitle") || '';
	var metaTagImage = $(details).attr("metaTagImage") || '';
	var metaTagDesc = $(details).attr("metaTagDesc") || '';
	var metaTagLink = $(details).attr("metaTagLink") || '';
	
	var description = $(details).attr("description");
	if(description){
		var description = $(details).attr("description");
	}
	else{
		var description = $(details).prev().text();
	}
	
	if(type == 4){
		var url = postLink;
	}
	else{
		var url = appObj.baseUrl+'app/'+postLink;
	}
	var jobsCompany = $(details).attr("jobsCompany") || '';
	var jobsLocations = $(details).attr("jobsLocations") || '';
	var shareOptions = '';
	shareOptions+="<form id='shareForm' class='share-options'>\
						<ul>\
							<li><a href='javascript:void(0);' onclick='saveSharePost(0);'><i class='fa fa-newspaper-o m-r'></i> Share on social wall</a></li>\
							<li><a href='javascript:void(0);' onclick='shareToGroup();'><i class='pe-7s-users pe-lg pe-va'></i> Share to a group</a></li>\
							<li><a href='javascript:void(0);' onclick='shareToPage();'><i class='pe-7s-flag pe-lg pe-va'></i> &nbspShare to a page</a></li>";
							if(isMobileApp()){
								shareOptions+="<li>\
									<a href='javascript:void(0);' link='"+url+"' onclick='socialShare(this);'><i class='pe-7s-back pe-lg pe-va'></i> Share external</a>\
								</li>";
							}
							else{
								shareOptions+="<div class='list-inline text-center'>\
									<li><a href='javascript:void(0);' onclick='browserSocialShare(this);' social-type='0'><i class='fa fa-2x fa-facebook-square'></i></a></li>\
									<li><a href='javascript:void(0);' onclick='browserSocialShare(this);' social-type='1'><i class='fa fa-2x fa-linkedin-square'></i></a></li>\
									<li><a href='javascript:void(0);' onclick='browserSocialShare(this);' social-type='2'><i class='fa fa-2x fa-twitter-square'></i></a></li>\
									<li><a href='javascript:void(0);' onclick='browserSocialShare(this);' social-type='3'><i class='fa fa-2x fa-google-plus-square'></i></a></li>\
								</div>";
							}
						shareOptions+="</ul>\
						<input type='hidden' name='type' value="+type+">\
						<input type='hidden' name='postText' value=\""+postText+"\">\
						<input type='hidden' name='postImage' value='"+postImage+"'>\
						<input type='hidden' name='postLink' value='"+postLink+"'>\
						<input type='hidden' name='imageLink' value='"+imageLink+"'>\
						<input type='hidden' name='description' value='"+description+"'>\
						<input type='hidden' name='metaTagTitle' value='"+metaTagTitle+"'>\
						<input type='hidden' name='metaTagImage' value='"+metaTagImage+"'>\
						<input type='hidden' name='metaTagDesc' value=\""+metaTagDesc+"\">\
						<input type='hidden' name='metaTagLink' value=\""+metaTagLink+"\">\
						<input type='hidden' name='jobsCompany' value=\""+jobsCompany+"\">\
						<input type='hidden' name='jobsLocations' value=\""+jobsLocations+"\">\
						<input type='hidden' name='shareType'>\
						<input type='hidden' name='groupId'>\
						<input type='hidden' name='postApproval' value='1'>\
						<input type='hidden' name='pageId'>\
					</form>\
					<div class='share-backdrop modal-backdrop in'></div>";
	$("body").append(shareOptions);
}

$(document).on("touchstart mouseup",function(e){
	var popup = $(".share-options");
	if(!popup.is(e.target) && popup.has(e.target).length === 0){
		$(".share-options, .share-backdrop").hide();
	}
});

function browserSocialShare(btn){
	var socialType = $(btn).attr("social-type");
	
	var postType = $("input[name=type]").val();
	var postText = $("input[name=postText]").val();
	var postImage = $("input[name=postImage]").val();
	var imageLink = $("input[name=imageLink]").val();
	var postLink = $("input[name=postLink]").val();
	var description = $("input[name=description]").val();
	
	if(postImage){
		var img = postImage.split(',');
		if(img[0] != ''){
			if(postType == 5){
				var image = appObj.siteUrl+'/assets/images/blog/'+postImage;
			}
			else{
				var image = appObj.siteUrl+'/assets/images/post/'+img[0];
			}
		}
	}
	else{
		var image = imageLink;
	}
	
	if(postType == 4){
		var encodeUrl = encodeURIComponent(postLink);
		var url = postLink;
	}
	else{
		var encodeUrl = encodeURIComponent(appObj.baseUrl+'app/'+postLink);
		var url = appObj.baseUrl+'app/'+postLink;
	}
	if(socialType == 0){
		FB.ui({
			method			:'share',
			mobile_iframe	:true,
			title			:postText,
			picture			:image,
			description		:description,
			href			:url,
		}, 	function(response){});
	}
	else if(socialType == 1){
		if(postType == 0){
			window.open('https://www.linkedin.com/shareArticle?mini=true&url='+image+'&title='+postText+'&summary='+description+'&source=Latinc','popup', 'width=300, height=200');
		}
		else{
			window.open('https://www.linkedin.com/shareArticle?mini=true&url='+appObj.siteUrl+'&title='+postText+'&summary='+description+'&source=Latinc','popup', 'width=300, height=200');
		}
	}
	else if(socialType == 2){
		window.open('http://twitter.com/intent/tweet?text='+postText+'&url='+encodeUrl, 'popup', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=300,width=600');
	}
	else{
		window.open('https://plus.google.com/share?url='+encodeUrl+'', 'popup', 'height=300,width=600');
	}
}

function shareToGroup(){
	$(".share-options, .share-backdrop").hide();
	var title ='<h5>\
					<a href="javascript:void(0);" onclick="hideCommentsModal();"><i class="fa fa-chevron-left"></i></a>\
					<span class="m-l">Choose Group</span>\
					<a href="javascript:void(0);" class="groups-post-btn pull-right" onclick="saveSharePost(1);" style="display:none;">POST</a>\
				</h5>';
	var groupsListModal ='<div class="groups-list"></div>';
	bootbox.dialog({
		title		: title,
		message		: groupsListModal,
		'animate' 	: false,
		closeButton	: false,
		className	:'appModalBox',
	});
	displayShareGroups();
	$(".appModalBox .modal-body").height($(window).height() - 68);
}

function displayShareGroups(){
	$(".groups-list").html('Loading...');
	$.ajax({
		url      : appObj.siteUserControllerUrl+'checkUserGroupsMember',
		dataType : 'json',
		success  : function(data){
			var groupsList = '';
			if(data.fields != ''){
				groupsList += '<ul class="select-groups">';
				$.each(data.fields,function(index,fields){
					groupsList+="<li group-id="+fields.group_id+" post_approval="+fields.post_approval+" user_role="+fields.user_role+">";
										if(fields.cover_photo){
											groupsList+= "<img class='img-responsive' src='"+appObj.baseUrl+"assets/images/groups/cover/"+fields.cover_photo+"'>";
										}
										else{
											groupsList+= "<img class='img-responsive' src='"+appObj.baseUrl+"assets/images/groups/groups-default-cover.png'>";
										}
										groupsList+="<span class='m-t-sm groups-name'>"+fields.name+"</span>\
										<span class='selected-groups pull-right'></span>\
									</li>";
				});
				groupsList+= '</ul>';
			}
			else{
				groupsList+= '<div class="p-xxs">You have no group.</div>';
			}
			$(".groups-list").empty().append(groupsList);
		}
	});
}

$(document).on("click",".select-groups li",function(){
	$(".selected-groups").empty();
	$(this).find(".selected-groups").empty().append('<i class="fa fa-check"></i>');
	$(".groups-post-btn").show();
	var groupId = $(this).attr("group-id");
	$("input[name=groupId]").val(groupId);
	
	var user_role = $(this).attr("user_role");
	var post_approval = $(this).attr("post_approval");
	if(user_role != 1){
		if(post_approval == 1){
			$("input[name=postApproval]").val(0);
		}
	}
});

function shareToPage(){
	$(".share-options, .share-backdrop").hide();
	var title ='<h5>\
					<a href="javascript:void(0);" onclick="hideCommentsModal();"><i class="fa fa-chevron-left"></i></a>\
					<span class="m-l">Select a Page</span>\
					<a href="javascript:void(0);" class="pages-post-btn pull-right" onclick="saveSharePost(2);" style="display:none;">PUBLISH</a>\
				</h5>';
	var pagesListModal ='<div class="pages-list"></div>';
	bootbox.dialog({
		title		: title,
		message		: pagesListModal,
		'animate' 	: false,
		closeButton	: false,
		className	:'appModalBox',
	});
	displaySharePages();
	$(".appModalBox .modal-body").height($(window).height() - 68);
}

function displaySharePages(){
	$(".pages-list").html('Loading...');
	$.ajax({
		url      : appObj.siteUserControllerUrl+'checkUserPagesLike',
		dataType : 'json',
		success  : function(data){
			var pagesList = '';
			if(data.fields != ''){
				pagesList += '<ul class="select-pages">';
				$.each(data.fields,function(index,fields){
					pagesList+="<li page_id="+fields.page_id+">";
										if(fields.cover_photo){
											pagesList+= "<img class='img-responsive' src='"+appObj.baseUrl+"assets/images/pages/cover/"+fields.cover_photo+"'>";
										}
										else{
											pagesList+= "<img class='img-responsive' src='"+appObj.baseUrl+"assets/images/pages/pages-default-cover.png'>";
										}
										pagesList+="<span class='m-t-sm page-name'>"+fields.page_name+"</span>\
										<span class='selected-pages pull-right'></span>\
									</li>";
				});
				pagesList+= '</ul>';
			}
			else{
				pagesList+= '<div class="p-xxs">You have no page.</div>';
			}
			$(".pages-list").empty().append(pagesList);
		}
	});
}

$(document).on("click",".select-pages li",function(){
	$(".selected-pages").empty();
	$(this).find(".selected-pages").empty().append('<i class="fa fa-check"></i>');
	$(".pages-post-btn").show();
	var pageId = $(this).attr("page_id");
	$("input[name=pageId]").val(pageId);
});

function saveSharePost(shareType){
	$("input[name=shareType]").val(shareType);
	var data = new FormData($("#shareForm")[0]);
	$(".share-options, .share-backdrop").remove();
	$('.shared-msg').show();
	$("#content").append('<div class="shared-msg"><div class="panel">This was successfully shared.</div></div>');
	$('.shared-msg').delay(2000).fadeOut('fast');
	if(shareType == 1 || shareType == 2){
		bootbox.hideAll();
	}
	$.ajax({
		type		: "POST",
		url         : appObj.siteUserControllerUrl+'saveSharePost',
		dataType	:'json',
		data		: data,
		contentType	: false,
		processData	: false,
		success     : function(data){
			if(data == 1){
				$("#shareForm").trigger('reset');
			}
			else{
				$("#content").append('<div class="shared-msg"><div class="panel">Some went wrong. Please try again.</div></div>');
			}
		}
	});
}

//Bottom Post Icon
function writePostBottom(){
	var lastScrollTop = 0;
	$(window).scroll(function(event){
		var st = $(this).scrollTop();
		if (st > lastScrollTop){
		   $(".write-post-bottom").show();
		} 
		else {
		   $(".write-post-bottom").hide();
		}
		lastScrollTop = st;
	});
}

function postNotifications(){
	$.ajax({
		url    	 	: appObj.siteUserControllerUrl+'postNotifications',
		dataType 	: 'json',
	});
}

//Notifications
function getAllFriendsRequest(){
	$.ajax({
		url		 : appObj.siteUserControllerUrl+'getAllFriendsRequest',
		dataType : 'json',
		success	 : function(data){
			var request = '';
			var requestCount = 0;
			request+='<div class="request-scroll">';
				if(data.fields == ''){
					request+='<div class="p-xs">No new requests.</div>';
				}
				else{
					$.each(data.fields,function(index,fields){
						request+='<li>';
									request+="<a class='no-padding m-b-xs' href='javascript:void(0);' onclick='displayPublicProfile("+fields.id+",\""+fields.profile_img_small+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>";
										request+='<div class="pull-left"><img class="m-r-sm" src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,50,50)+'" width="50px" onerror="loadingImageError(this)"></div>\
										<h5 class="m-n">'+fields.name+'</h5>';
										if(fields.type == "mentors"){
											request+='<span class="text-muted"> send you mentor request.</span>';
											var user_id = fields.user_id;
										}
										else if(fields.type == "connections"){
											request+='<span class="text-muted"> wants to connect with you.</span>';
											var user_id = fields.request_user_id;
										}
									request+='</a>\
									<button class="btn btn-success btn-sm" type="'+fields.type+'" onclick="acceptRequest(this,'+user_id+');">Accept</button>\
									<button class="btn btn-sm btn-danger" type="'+fields.type+'" onclick="rejectRequest(this,'+user_id+');">Reject</button>\
								</li>';
						if(fields.accepted_flag == 0){
							requestCount = requestCount + 1;
						}
					});
				}
			request+='</div>';
			$(".all-request").empty().append(request);
			if(requestCount > 0){
				$('.request-count').html(requestCount);
			}
			$('.request-scroll').slimScroll({
				distance:"-1px",
				height: '300px',
				touchScrollStep : 75
			});
		}
	});
}

$(document).on("click",".request-icon",function(){
	$(".request-count").remove();
});

$(document).on("click",".mobile-right-icon .dropdown-menu",function(e){
    e.stopPropagation();
});

function acceptRequest(btn,user_id){
	var type = $(btn).attr("type");
	$(btn).html('<i class="fa fa-check"></i> Accepted');
	$(btn).prop("disabled",true);
	$(btn).next().remove();
	$.ajax({
		url			:appObj.siteUserControllerUrl+'acceptRequest',
		type		:'POST',
		data		:{user_id:user_id,type:type},
		dataType	:'json',
		success		:function(data){
			if(data == 1){
				sendAcceptNotifications(user_id,type);
			}
		}
	});
}

function sendAcceptNotifications(user_id,type){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'sendAcceptNotifications',
		type		:'POST',
		data		:{user_id:user_id,type:type},
		dataType	:'json',
	});
}

function rejectRequest(btn,user_id){
	var type = $(btn).attr("type");
	$(btn).html('Rejected');
	$(btn).prop("disabled",true);
	$(btn).siblings("button").remove();
	$.ajax({
		url			:appObj.siteUserControllerUrl+'rejectRequest',
		type		:'POST',
		data		:{user_id:user_id,type:type},
		dataType	:'json',
	});
}

function getAllNotifications(){
	$.ajax({
		url		 : appObj.siteUserControllerUrl+'getAllNotifications',
		dataType : 'json',
		success	 : function(data){
			var notifications = '';
			var notificationsCount = 0;
			notifications+='<div class="notifications-scroll">';
				if(data.fields == ''){
					notifications+='<div class="p-xs">No notifications.</div>';
				}
				else{
					$.each(data.fields,function(index,fields){
						notifications+='<li>';
									notifications+="<a class='no-padding m-b-xs' href='javascript:void(0);' onclick='displayPublicProfile("+fields.id+",\""+fields.profile_img_small+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>";
										notifications+='<div class="pull-left"><img class="m-r-sm" src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,50,50)+'" width="50px" onerror="loadingImageError(this)"></div>\
										<h5 class="m-n">'+fields.name+' </h5>';
										if(fields.type == 1){
											notifications += '<span class="text-muted"> accepted your connection request.</span>';
										}
										else if(fields.type == 2){
											notifications += '<span class="text-muted"> accepted your mentor request.</span>';
										}
										notifications += '<small class="displayBlock">'+formatDate(fields.updated_date.replace(/-/g, "/"))+'</small>\
									</a>\
								</li>';
						if(fields.status == 0){
							notificationsCount = notificationsCount + 1;
						}
					});
				}
			notifications+='</div>';
			$(".all-notifications").empty().append(notifications);
			if(notificationsCount > 0){
				$('.notifications-count').html(notificationsCount);
			}
			$('.notifications-scroll').slimScroll({
				distance:"-1px",
				height: '300px',
				touchScrollStep : 75
			});
		}
	});
}

function formatDate(date) {
	date = new Date(date);
	var monthNames = ["Jan", "Feb", "Mar", "Apr", "May", "Jun",
	"Jul", "Aug", "Sept", "Oct", "Nov", "Dec" ];
	var day = date.getDate();
	var monthIndex = date.getMonth();
	var year = date.getFullYear();
	return day + ' ' + monthNames[monthIndex] + ' ' + year;
}


$(document).on("click",".notification-icon",function(){
	$(".notifications-count").remove();
	$.ajax({
		url			:appObj.siteUserControllerUrl+'updateNotificationsStatus',
		type		:'POST',
		dataType	:'json',
	});
});

//Push Notifications
function viewProfileConnections(userId){
	$.ajax({
		type		:'POST',
		url			:appObj.siteUserControllerUrl+'viewProfileConenctions',
		data		:{userId:userId},
		dataType	:'json',
		success	 	: function(data){
			displayPublicProfile(userId,data.profile_img_medium,data.cover_photo,data.user_login_type,data.name,data.professional_headline,data.ethinicity_country_code);
		}
	});
}

function viewRequests(userId,viewType,type){
	$.ajax({
		url		:appObj.siteUserControllerUrl+'viewRequests',
		type	:'POST',
		data	:{userId:userId},
		dataType:'json',
		success	:function(data){
			var title = '';
			var requestBlock = '';
				requestBlock += "<a class='no-padding m-b-xs' href='javascript:void(0);' onclick='displayPublicProfile("+data.id+",\""+data.profile_img_small+"\",\""+data.cover_photo+"\","+data.user_login_type+",\""+data.name+"\",\""+data.professional_headline+"\",\""+data.ethinicity_country_code+"\");'>";
					requestBlock+='<div class="pull-left"><img class="m-r-sm" src="'+generateUserImg(data.profile_img_small,data.user_login_type,50,50)+'" width="50px" height="50px" onerror="loadingImageError(this);"></div>\
						<h5><b>'+data.name+'</b>';
						if(type == "mentors"){
							requestBlock+='<span> send you mentor request.</span>';
							title = "New Mentors request";
						}
						else if(type == "connections"){
							requestBlock+='<span> wants to connect with you.</span>';
							title = "New Connection request"
						}
						requestBlock+='</h5>';
				requestBlock+='</a>';
				if(viewType == 0){
					requestBlock+='<button class="btn btn-success btn-sm" type="'+type+'" onclick="acceptRequest(this,'+userId+');">Accept</button>\
					<button class="btn btn-sm btn-danger" type="'+type+'" onclick="rejectRequest(this,'+userId+');">Reject</button>';
				}
				else{
					requestBlock+='<button class="btn btn-success btn-sm" disabled><i class="fa fa-check"></i> Accepted</button>';
					acceptViewRequest(userId,type);
				}
				
			bootbox.dialog({
				title		: title,
				message		: requestBlock,
				'animate' 	: false,
				className	:'createGroup',
			});	
		}
	});
}

function acceptViewRequest(user_id,type){
	$(".request-count").remove();
	$.ajax({
		url			:appObj.siteUserControllerUrl+'acceptRequest',
		type		:'POST',
		data		:{user_id:user_id,type:type},
		dataType	:'json',
		success		:function(data){
			if(data == 1){
				sendAcceptNotifications(user_id,type);
			}
		}
	});
}

function GARecored(pageName){
	if(isMobileApp()){
		ga_storage._trackPageview('/'+pageName,pageName+'MobileApp');
	}
	else{
		ga_storage._trackPageview('/'+pageName,pageName+'Web');
	}
}

function rateUsApp(el){
	var link = $(el).attr("url");
	if(cordova.platformId == "android"){
		cordova.InAppBrowser.open(link, '_system', 'location=Yes');
	}
	else{
		cordova.InAppBrowser.open(link, '_blank', 'location=Yes');
	}
}


$(document).on('keyup',"input[name=header-search]",function(){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 1){
		$(".search-type").hide();
		$.ajax({
			type    : 'POST',
			url     : appObj.siteUserControllerUrl+'getSearchResults',
			dataType : 'json',
			data     : {peopleSearchValue:inputValue},
			success : function(data){
				var searchResults = '';
				searchResults += '<ul>';
				$.each(data.fields,function(index,fields){
					searchResults += '<li>';
						searchResults+="<a href='javascript:void(0);' onclick='displayPublicProfile("+fields.id+",\""+fields.profile_img_medium+"\",\""+fields.cover_photo+"\","+fields.user_login_type+",\""+fields.name+"\",\""+fields.professional_headline+"\",\""+fields.ethinicity_country_code+"\");'>";
						
						searchResults+='<div class="people-img-block">\
							<img src="'+generateUserImg(fields.profile_img_small,fields.user_login_type,40,40)+'" alt="logo" style="width:40px;">\
						</div>\
					  <span>'+fields.name+'<br><small class="people-professional">'+fields.professional_headline+'</small></span>\
					 </a></li>';
				});
				searchResults += '</ul>';
				$(".people-search-results").empty().append(searchResults);
				$(".people-search-results").show();
			}
		}); 
	}
	else{
		$(".people-search-results").hide();
		$(".search-type").show();
	}
});

$(document).on("click",".people-search-results li a",function(e){
	$("input[name=main-search]").val("");
});

$(document).mouseup(function(e){
	var popup = $(".people-search-results");
	if(!popup.is(e.target) && popup.has(e.target).length === 0){
		$(".people-search-results").hide();
		$(".search-type").show();
	}
});

$(document).mouseup(function(e){
	var popup = $("#side-menu li");
	if(!popup.is(e.target) && popup.has(e.target).length === 0){
		$("body").removeClass("show-menu");
	}
});

// Main Search
$(document).on("focus","input[name=main-search]",function(){
	var searchModal = '';
		searchModal += '<div class="searchModal" id="commonModal">\
							<div class="common-modal-content">\
								<div class="header">\
									<div class="breadcrumb-title"><a class="btn-link pull-left" href="javascript:void(0);" onclick="closeCommonModal();"><i class="fa fa-lg fa-angle-left"></i></a>\
										<form role="search" class="navbar-form-custom mobile-icon hidden-lg hidden-md hidden-sm" action="#">\
											<input type="text" placeholder="Search" class="form-control" name="header-search" autocomplete="off" autofocus>\
										</form>\
									</div>\
								</div>\
								<div class="search-type">\
									<h5 class="m-b-md">Search for</h5>\
									<ul class="links">\
										<li>\
											<a href="javascript:void(0);" onclick="selectSearchType(1);">\
												<i class="fa fa-lg fa-users"></i>\
												<div>People</div>\
											</a>\
										</li>\
										<li>\
											<a href="javascript:void(0);" onclick="selectSearchType(2);">\
												<i class="fa fa-lg fa-briefcase"></i>\
												<div>Jobs</div>\
											</a>\
										</li>\
										<li>\
											<a href="javascript:void(0);" onclick="selectSearchType(3);">\
												<i class="fa fa-lg fa-book"></i>\
												<div>Courses</div>\
											</a>\
										</li>\
									</ul>\
								</div>\
								<div class="people-search-results"></div>\
							</div>\
						</div>';
	$("body").append(searchModal);
	$("body").addClass("body-disabled");
});

function selectSearchType(type){
	window.location.href = "#page=search&defaultTab="+type+"";
	$("body").removeClass("body-disabled");
	$("#commonModal").remove();
}

// Add New Message
function addNewMessage(btn,type){
	if(type == 1){
		var name = $(btn).attr('userName');
		var userId = $(btn).attr('userId');
	}
	var messageModal = '';
		messageModal += '<div class="addNewMessage" id="commonModal">\
							<div class="common-modal-content no-padding">\
								<div class="header">\
									<div class="breadcrumb-title"><a class="btn-link" href="javascript:void(0);" onclick="closeCommonModal();"><i class="fa fa-3x fa-angle-left"></i></a> <span>New message</span></div>\
								</div>\
								<form id="newMessageForm">\
									<div class="name-preview">';
										if(type == 1){
											messageModal += '<div class="name-badge"><span class="name-block" id="nameBlock-'+userId+'"><span class="name-value">'+name+'</span><input type="hidden" name="userId[]" value="'+userId+'"></span></div>';
										}
									messageModal += '</div>';
									if(type == 0){
										messageModal += '<input class="form-control" name="search-suggested-users" placeholder="To">\
										<div class="suggested-users-list"></div>\
										<div class="suggested-search-results"></div>';
									}
									messageModal += '<div class="hpanel m-n replyMessageBlock">\
										<div class="panel-body no-padding">\
											<form class="replyMessage">\
												<div class="input-group">\
													<textarea rows=1 class="form-control" name="message" placeholder="Type a message" onkeyup="auto_grow(this);" autoFocus></textarea>\
													<span class="input-group-btn">\
														<button type="button" onclick="saveNewMessage();" class="btn btn-primary btn-sm" disabled><img src="'+appObj.baseUrl+'assets/images/comments-send.png"></button>\
													</span>\
												</div>\
											</form>\
										</div>\
									</div>\
								</form>\
							</div>\
						</div>';
	$("body").append(messageModal);
	$("body").addClass("body-disabled");
	if(type == 0){
		getAllSuggestedUsers();
		$("input[name=search-suggested-users]").focus();
	}
	else{
		$("teaxtarea[name=message]").focus();
	}
	var msgHeight = $(window).height() - 150;
	$(".suggested-users-list").css('height', msgHeight+'px');
}

function getAllSuggestedUsers(){
	$(".suggested-users-list").empty().append('<div class="page-loading"><img class="center-block message-loader" src="assets/images/ajax-loader.gif" width="90"><span class="loading-text">Loading...</span></div>');
	$.ajax({
		url			:appObj.siteUserControllerUrl+'getAllSuggestedUsers',
		type		:'POST',
		dataType	:'json',
		success		:function(data){
			var suggestedUsers = '';
			suggestedUsers += '<h4 class="p-xxs">Suggested</h4>';
			if(data.fields == ''){
				suggestedUsers += '<div class="no-pending">No suggested.</div>';
			}
			else{
				$.each(data.fields,function(index,fields){
					suggestedUsers += displaySuggestedUsers(fields.id,fields.name,fields.profile_img_small,fields.user_login_type,fields.professional_headline);
				});
			}
			$(".suggested-users-list").empty().append(suggestedUsers);
		}
	});
}

$(document).on('keyup',"input[name=search-suggested-users]",function(){
	var inputValue = $(this).val();
	if(inputValue != '' && inputValue.length > 1){
		$(".name-preview").find("input[name='userId[]']").val();
		$(".suggested-users-list").hide();
		$.ajax({
			type    	: 'POST',
			url     	: appObj.siteUserControllerUrl+'getSearchSuggestedUsers',
			dataType 	: 'json',
			data    	: {searchValue:inputValue},
			success 	: function(data){
				var searchResults = '';
				if(data.fields != ""){
					$.each(data.fields,function(index,fields){
						searchResults += displaySuggestedUsers(fields.id,fields.name,fields.profile_img_small,fields.user_login_type,fields.professional_headline);
					});
				}
				else{
					searchResults += '<div class="p-xs">No results.</div>';
				}
				$(".suggested-search-results").empty().append(searchResults);
				$(".suggested-search-results").show();
			}
		}); 
	}
	else{
		$(".suggested-users-list").show();
		$(".suggested-search-results").hide();
	}
});

function displaySuggestedUsers(id,name,profile_img_small,user_login_type,professional_headline){
	var suggestedUsers = '';
	suggestedUsers+= '<div class="col-xs-12 connections-block checkbox">\
						<div class="round">\
							<label>\
								<img class="img-responsive" src="'+generateUserImg(profile_img_small,user_login_type,50,50)+'" alt="Image" width="50">\
								<div class="details">\
									<h5 class="m-n name-truncate">\
										<b>'+name+'</b>\
									</h5>\
									<span class="pull-right">\
										<input type="checkbox" class="checked-'+id+'" name="choose-users" userName="'+name+'" value="'+id+'">\
										<span class="choose-users"></span>\
									</span>\
									<div class="text-muted">'+professional_headline+'</div>\
								</div>\
							</label>\
						</div>\
					</div>';
	return suggestedUsers;
}

$(document).on("change","input[name=choose-users]",function(){
	var name = $(this).attr("userName");
	var userId = $(this).val();
	if($(this).is(':checked')){
		$(".name-preview").append('<span class="name-block" id="nameBlock-'+userId+'"><span class="name-value">'+name+'</span> <a href="javascript:void(0);" onclick="removeSelectUser(this);"><i class="fa fa-close"></i></a><input type="hidden" name="userId[]" value="'+userId+'"></span>');
		$("input[name=search-suggested-users]").val('');
	}
	else{
		$('#nameBlock-'+userId).remove();
	}
	var nameHeight = $(".name-preview").height();
	var msgHeight = $(window).height() - nameHeight - 150;
	$(".suggested-users-list").css('height', msgHeight+'px');
});

function removeSelectUser(btn){
	$(btn).parent().remove();
	var userId = $(btn).next().val();
	$('.checked-'+userId).prop("checked",false);
}

function saveNewMessage(){
	var data = new FormData($("#newMessageForm")[0]);
	var message = $("textarea[name=message]");
	var length = $(".name-preview").find("input[name='userId[]']").length;
	var userId = $(".name-preview").find("input[name='userId[]']").val();
	var name = $(".name-preview").find(".name-value").text();
	if(message != '' && length != 0){
		$.ajax({
			url			:appObj.siteUserControllerUrl+'saveNewMessage',
			type		:'POST',
			data		:data,
			dataType	:'json',
			contentType : false,
			processData : false,
			success		:function(data){
				if(data){
					$("textarea[name=message]").val('');
					$("textarea[name=message]").css("height","auto");
					$(".addNewMessage").remove();
					if(length == 1){
						window.location.href = "#page=messages&userId="+userId+"";
						setTimeout (function(){
							$(".usertitle").empty().append(name);
						},100);
					}
					else{
						window.location.href = "#page=messages";
					}
					sendNotifications(data,"connectionsMessage");
				}
			}
		});
	}
}

$(document).on('keyup','textarea[name=message]',function(){
	if($(this).val() != ''){
		$(".replyMessageBlock button").prop('disabled',false);
	}
	else{
		$(".replyMessageBlock button").prop('disabled',true);
	}
});

function closeCommonModal(){
	$("#commonModal").remove();
	$("body").removeClass("body-disabled");
}

// Notifications count
function messageNotifications(){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'messageNotifications',
		type		:'POST',
		dataType	:'json',
		success		:function(data){
			if(data.count > 0){
				$('.message-count').html(data.count);
			}
		}
	});
}

function requestNotifications(){
	$.ajax({
		url			:appObj.siteUserControllerUrl+'requestNotifications',
		type		:'POST',
		dataType	:'json',
		success		:function(data){
			if(data.count > 0){
				$('.request-count').html(data.count);
			}
		}
	});
}

function allNotifications(){
	$.ajax({
		url		 : appObj.siteUserControllerUrl+'allNotifications',
		dataType : 'json',
		success	 : function(data){
			if(data.count > 0){
				$('.notifications-count').html(data.count);
			}
		}
	});
}